﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_FINANCINGSCHEME') 
 CREATE TABLE T_CFM_FINANCINGSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME DEFAULT null,
FMODIFYTIME DATETIME DEFAULT null,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME DEFAULT null,
FDISABLEDATE DATETIME DEFAULT null,
FFINPRODUCTID BIGINT DEFAULT 0 NOT NULL,
FFINTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME DEFAULT null,
FENDDATE DATETIME DEFAULT null,
FREPAYMENTWAY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSETTLESCHEMEID BIGINT DEFAULT 0 NOT NULL,
FSETTLEDATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FINTERESTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTERESTCYCLE VARCHAR(19) DEFAULT ' ' NOT NULL,
FBIZSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPLYDATE DATETIME DEFAULT null,
FINTERESTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPINION VARCHAR(255) DEFAULT ' ' NOT NULL,
FREFERRATEID BIGINT DEFAULT 0 NOT NULL,
FCOMPCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPCOSTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FGUARANTEEWAY VARCHAR(50) DEFAULT ' ' NOT NULL,
FTERM VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREDITORTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREDITORDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREDITORID BIGINT DEFAULT 0 NOT NULL,
FTEXTCREDITOR VARCHAR(80) DEFAULT ' ' NOT NULL,
FLOANAPPLYID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_FINANCINGSCHEME_L') 
 CREATE TABLE T_CFM_FINANCINGSCHEME_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(80) DEFAULT ' ' NOT NULL,
FCOMMENT VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_FINSCHEME_ENTRY') 
 CREATE TABLE T_CFM_FINSCHEME_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOST BIGINT DEFAULT 0 NOT NULL,
FINTERESTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FECOMMENT VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANAPPLY_ENTRY') 
 CREATE TABLE T_CFM_LOANAPPLY_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FESCHEMEID BIGINT DEFAULT 0 NOT NULL,
FERESON VARCHAR(255) DEFAULT ' ' NOT NULL,
FEISSELECT CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANAPPLY' AND KSQL_COL_NAME ='FISNEEDSCHEME') 
 ALTER TABLE T_CFM_LOANAPPLY ADD (FISNEEDSCHEME NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANAPPLY' AND KSQL_COL_NAME ='FCREDITORTYPE') 
 ALTER TABLE T_CFM_LOANAPPLY ADD (FCREDITORTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANAPPLY' AND KSQL_COL_NAME ='FCREDITORID') 
 ALTER TABLE T_CFM_LOANAPPLY ADD (FCREDITORID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANAPPLY' AND KSQL_COL_NAME ='FTEXTCREDITOR') 
 ALTER TABLE T_CFM_LOANAPPLY ADD (FTEXTCREDITOR NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANAPPLY' AND KSQL_COL_NAME ='FTERM') 
 ALTER TABLE T_CFM_LOANAPPLY ADD (FTERM NVARCHAR(30) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CFM_table.sql **/
