﻿/**Begin D:\PDM_UPGRADE\PDM1\CFM_table.sql **/
 EXEC p_AlterColumn 'T_CFM_LOANCONTRACTBILL_GU', 'FGUARANTEEEXCHRATE', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANCONTRACTBILL_TF') 
 CREATE TABLE T_CFM_LOANCONTRACTBILL_TF (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRELATEBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATIONTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBENEFICIARY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXPIREDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNPAIDAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FRELATEBILLID BIGINT DEFAULT 0 NOT NULL,
FRELATEBILLTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANCONTRACTBILL_SC') 
 CREATE TABLE T_CFM_LOANCONTRACTBILL_SC (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBDPARTNERID BIGINT DEFAULT 0 NOT NULL,
FRELATIONTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FORDERNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXECUTEDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INTERESTBILL' AND KSQL_COL_NAME IN ('FLOANTYPE'))
 ALTER TABLE T_CFM_INTERESTBILL ADD (FLOANTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL );

 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_PREINTERESTBILL' AND KSQL_COL_NAME IN ('FLOANTYPE'))
 ALTER TABLE T_CFM_PREINTERESTBILL ADD (FLOANTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL );

 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 't_cfm_financingvarieties' AND KSQL_COL_NAME IN ('FBIZTYPE'))
 ALTER TABLE t_cfm_financingvarieties ADD (FBIZTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL );

 EXEC p_AlterColumn 'T_CFM_EXTENDBILL_L', 'FDESCRIPTION', 'NVARCHAR(255)', 'NOT NULL', '0100', ''' ''';

/**End D:\PDM_UPGRADE\PDM1\CFM_table.sql **/
