﻿/**Begin D:\PDM_UPGRADE\PDM1\CFM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_CFM_FEEBILL', 'T_CFM_FEEBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CFM_FEEBILL') CREATE INDEX IDX_CFM_FEEBILL ON T_CFM_FEEBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_CFM_FEEBILL_E', 'T_CFM_FEEBILL_E', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CFM_FEEBILL_E') CREATE INDEX IDX_CFM_FEEBILL_E ON T_CFM_FEEBILL_E ( FID ,FSRCBILLNO );

  EXEC P_ALTERPK 'PK_T_CFM_CREDITAGREE', 'T_CFM_CREDITAGREE', 'FID', '0';

  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_CFM_CREDITAGREE_NUMBER') CREATE  CLUSTERED INDEX T_CFM_CREDITAGREE_NUMBER ON T_CFM_CREDITAGREE ( FNUMBER ,FSTATUS ,FORGID );


  EXEC P_ALTERPK 'PK_T_CFM_CREDITAGREE_L', 'T_CFM_CREDITAGREE_L', 'FPKID', '0';

  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CFM_CREDITAGREE_L') CREATE  CLUSTERED INDEX IDX_CFM_CREDITAGREE_L ON T_CFM_CREDITAGREE_L ( FID ,FLOCALEID );


  EXEC P_ALTERPK 'PK_T_CFM_CREDITAGREE_ORG', 'T_CFM_CREDITAGREE_ORG', 'FENTRYID', '0';

  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CFM_AGREE_ORG') CREATE INDEX IDX_CFM_AGREE_ORG ON T_CFM_CREDITAGREE_ORG ( FORGID );

  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CFM_AGREE_ORG_FID') CREATE  CLUSTERED INDEX IDX_CFM_AGREE_ORG_FID ON T_CFM_CREDITAGREE_ORG ( FID );


  EXEC P_ALTERPK 'PK_T_CFM_CREDITAGREE_TYPE', 'T_CFM_CREDITAGREE_TYPE', 'FENTRYID', '0';

  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CFM_AGREE_TYPE_FID') CREATE  CLUSTERED INDEX IDX_CFM_AGREE_TYPE_FID ON T_CFM_CREDITAGREE_TYPE ( FID );

 
  EXEC P_ALTERPK 'PK_T_CFM_CREDITAGREE_TYPE_C', 'T_CFM_CREDITAGREE_TYPE_C', 'FPKID', '0';

  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CFM_AGREE_TYPE_C_FID') CREATE  CLUSTERED INDEX IDX_CFM_AGREE_TYPE_C_FID ON T_CFM_CREDITAGREE_TYPE_C ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CFM_CREDITLIMIT_AGREENO') CREATE INDEX IDX_CFM_CREDITLIMIT_AGREENO ON T_CFM_CREDITLIMIT ( FCREDITLIMITAGREEID );

/**End D:\PDM_UPGRADE\PDM1\CFM_constraint.sql **/
