﻿/**Begin D:\PDM_UPGRADE\PDM1\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_CREDITLIMIT' AND KSQL_COL_NAME IN ('FORGSHARETYPE')) 
 ALTER TABLE T_CFM_CREDITLIMIT ADD (FORGSHARETYPE NVARCHAR(30) DEFAULT 'appointshare' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CREDITLIMIT_ORG') 
 CREATE TABLE T_CFM_CREDITLIMIT_ORG (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FTOTALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAVARAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSINGLEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORGIN CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CREDITLIMIT_TYPE') 
 CREATE TABLE T_CFM_CREDITLIMIT_TYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FTOTALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAVARAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSINGLEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORGIN CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CREDITLIMIT_MULT') 
 CREATE TABLE T_CFM_CREDITLIMIT_MULT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTOTALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAVARAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORGIN CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CREDITLIMIT_MULT_O') 
 CREATE TABLE T_CFM_CREDITLIMIT_MULT_O (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CREDITLIMIT_MULT_T') 
 CREATE TABLE T_CFM_CREDITLIMIT_MULT_T (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


/**End D:\PDM_UPGRADE\PDM1\CFM_table.sql **/
