﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INSCHEME' AND KSQL_COL_NAME ='FDESCRIBLE') 
 ALTER TABLE T_CFM_INSCHEME ADD (FDESCRIBLE NVARCHAR(255) DEFAULT ' ' NOT NULL );
 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_CFM_INSCHEME', 'FINSTCOMMENT', 'NULL', 'NULL', '1001', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_PAYMENTBYINSTALMENT' AND KSQL_COL_NAME ='FDESCRIBLE') 
 ALTER TABLE T_CFM_PAYMENTBYINSTALMENT ADD (FDESCRIBLE NVARCHAR(255) DEFAULT ' ' NOT NULL );
 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_CFM_PAYMENTBYINSTALMENT', 'FTEXTAREAFIELD', 'NULL', 'NULL', '1001', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_FINANCINGVARIETIES' AND KSQL_COL_NAME ='FDESCRIBLE') 
 ALTER TABLE T_CFM_FINANCINGVARIETIES ADD (FDESCRIBLE NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_FINANCINGVARIETIES' AND KSQL_COL_NAME ='FCREDITTYPE') 
 ALTER TABLE T_CFM_FINANCINGVARIETIES ADD (FCREDITTYPE BIGINT DEFAULT 0 NOT NULL );
 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_CFM_FINANCINGVARIETIES', 'FREMARKS', 'NULL', 'NULL', '1001', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CREDITLIMIT_L') 
 CREATE TABLE T_CFM_CREDITLIMIT_L (
FPKID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CREDITLMTSH_ENTRY') 
 CREATE TABLE T_CFM_CREDITLMTSH_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FCREDITTYPEID BIGINT DEFAULT 0 NOT NULL,
FCTRLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTALAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FUSEAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAVARAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FORGIN CHAR(1) DEFAULT '0' NOT NULL,
FISUSEREC CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CREDITLMTTO_ENTRY') 
 CREATE TABLE T_CFM_CREDITLMTTO_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOMPANY BIGINT DEFAULT 0 NOT NULL,
FUSEAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FORIGIN CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CREDITLMTTYPE_ENTRY') 
 CREATE TABLE T_CFM_CREDITLMTTYPE_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCREDITTYPE BIGINT DEFAULT 0 NOT NULL,
FCTRLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTALAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FUSEAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAVARAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FORIGIN CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CREDITRETURN_L') 
 CREATE TABLE T_CFM_CREDITRETURN_L (
FPKID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CREDITTYPE_FINVAR') 
 CREATE TABLE T_CFM_CREDITTYPE_FINVAR (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CREDITTYPE_L') 
 CREATE TABLE T_CFM_CREDITTYPE_L (
FPKID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CREDITUSE_L') 
 CREATE TABLE T_CFM_CREDITUSE_L (
FPKID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CREDITTYPE') 
 CREATE TABLE T_CFM_CREDITTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FISCOMPREHENSIVE CHAR(1) DEFAULT '0' NOT NULL,
FFINVARIETIESTXT NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CREDITRETURN') 
 CREATE TABLE T_CFM_CREDITRETURN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FBIZDATE DATETIME,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FCREDITTYPEID BIGINT DEFAULT 0 NOT NULL,
FSOURCETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FRETURNID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISCOPY CHAR(1) DEFAULT '0' NOT NULL,
FCREDITLIMITID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CREDITUSE') 
 CREATE TABLE T_CFM_CREDITUSE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FBIZDATE DATETIME,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FAVARAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSOURCETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FRETURNAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREALAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTOTALAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCREDITPROP NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREDITTYPEID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FFINVARIETYID BIGINT DEFAULT 0 NOT NULL,
FISCOPY CHAR(1) DEFAULT '0' NOT NULL,
FCREDITLIMITID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CREDITLIMIT') 
 CREATE TABLE T_CFM_CREDITLIMIT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FOPENORGID BIGINT DEFAULT 0 NOT NULL,
FBANKID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCREDITPROP NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREDITTYPEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FISGROUPLIMIT CHAR(1) DEFAULT '0' NOT NULL,
FCONTRACTNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTOTALAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FUSEAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAVARAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDISTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRAVAAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISCLOSE CHAR(1) DEFAULT '0' NOT NULL,
FISMERGESRC CHAR(1) DEFAULT '0' NOT NULL,
FISMERGENEW CHAR(1) DEFAULT '0' NOT NULL,
FISMERGESRCCLOSE CHAR(1) DEFAULT '0' NOT NULL,
FGUARTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CFM_table.sql **/
