﻿/**Begin D:\PDM_UPGRADE\PDM1\CFM_table.sql **/
 EXEC p_AlterColumn 'T_CFM_CREDITTYPE_L', 'FNAME', 'NVARCHAR(80)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_CFM_CREDITTYPE', 'FNAME', 'NVARCHAR(80)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_UNIFY_LOAN_RETURN' AND KSQL_COL_NAME IN ('FGENERALRATE')) 
 ALTER TABLE T_CFM_UNIFY_LOAN_RETURN ADD (FGENERALRATE DECIMAL(23,10) DEFAULT 0 NOT NULL );


 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_EXTENDBILL_E' AND KSQL_COL_NAME ='FEXTENDAPPLYID')
 ALTER TABLE T_CFM_EXTENDBILL_E ADD (FEXTENDAPPLYID BIGINT DEFAULT 0 NOT NULL );


 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_REPAYAPPLYBILL' AND KSQL_COL_NAME ='FMASTERID')
 ALTER TABLE T_CFM_REPAYAPPLYBILL ADD (FMASTERID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_REPAYMENTBILL_E' AND KSQL_COL_NAME ='FAUTO')
 ALTER TABLE T_CFM_REPAYMENTBILL_E ADD (FAUTO CHAR(1) DEFAULT '0' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INTERESTBILL_E' AND KSQL_COL_NAME ='FAUTO')
 ALTER TABLE T_CFM_INTERESTBILL_E ADD (FAUTO CHAR(1) DEFAULT '0' NOT NULL );

 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_PREINTERESTBILL_E' AND KSQL_COL_NAME ='FAUTO')
 ALTER TABLE T_CFM_PREINTERESTBILL_E ADD (FAUTO CHAR(1) DEFAULT '0' NOT NULL );
 
/**End C:\Users\rd_zhixiong_w\Downloads\PDM_UPGRADE\PDM1\CFM_table.sql **/


/**Begin D:\PDM_UPGRADE\PDM1\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_PRODUCTFACTORY' AND KSQL_COL_NAME IN ('FPAYINTADJUSTRULE')) 
 ALTER TABLE T_CFM_PRODUCTFACTORY ADD (FPAYINTADJUSTRULE NVARCHAR(80) DEFAULT 'no_adjust' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_PRODUCTFACTORY' AND KSQL_COL_NAME IN ('FRATERESETADJUSTRULE')) 
 ALTER TABLE T_CFM_PRODUCTFACTORY ADD (FRATERESETADJUSTRULE NVARCHAR(80) DEFAULT 'no_adjust' NOT NULL );

/**End D:\PDM_UPGRADE\PDM1\CFM_table.sql **/

/**Begin C:\Users\rd_zhixiong_w\Downloads\PDM_UPGRADE\PDM1\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CONTRACT_APPLY') 
 CREATE TABLE T_CFM_CONTRACT_APPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FREGISTORGID BIGINT DEFAULT 0 NOT NULL,
FLENDERAPPLYNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLOANTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFINPRODUCTID BIGINT DEFAULT 0 NOT NULL,
FCREDITORTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRODUCTFACTORYID BIGINT DEFAULT 0 NOT NULL,
FTEXTCREDITOR NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCONTRACTNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZDATE DATETIME,
FSTARTDATE DATETIME,
FTERM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDDATE DATETIME,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDRAWWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOANUSEID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTBANKID BIGINT DEFAULT 0 NOT NULL,
FGUARANTEE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREGION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONFIRMDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISCALLINT CHAR(1) DEFAULT '0' NOT NULL,
FINTERESTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREFERRATEID BIGINT DEFAULT 0 NOT NULL,
FRATESIGN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRATEFLOATPOINT DECIMAL(16,6) DEFAULT 0 NOT NULL,
FRATEADJUSTSTYLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRATEADJUSTCYCLETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRATEADJUSTCYCLE BIGINT DEFAULT 0 NOT NULL,
FRATEADJUSTDATE DATETIME,
FINTERESTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFLOATINGRATIO DECIMAL(14,4) DEFAULT 0 NOT NULL,
FREPAYMENTWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSETTLEINTMODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBASIS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTAGEPLANID BIGINT DEFAULT 0 NOT NULL,
FINTERESTSETTLEDPLANID BIGINT DEFAULT 0 NOT NULL,
FISLIMITCLAUSE CHAR(1) DEFAULT '0' NOT NULL,
FLIMITCLAUSEEXPLAIN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOTHEREXPLAIN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDRAWAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOTREPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBIZSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPLYTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOANCONTRACTBILLID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CONTRACT_APPLY_L') 
 CREATE TABLE T_CFM_CONTRACT_APPLY_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FCONTRACTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLIMITCLAUSEEXPLAIN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOTHEREXPLAIN NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End C:\Users\rd_zhixiong_w\Downloads\PDM_UPGRADE\PDM1\CFM_table.sql **/



