﻿/**Begin D:\PDM_UPGRADE\PDM1\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_HOMESET') 
 CREATE TABLE T_CFM_HOMESET (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_HOMESET_L') 
 CREATE TABLE T_CFM_HOMESET_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_HOMESET_B') 
 CREATE TABLE T_CFM_HOMESET_B (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_EXTENDAPPLYBILL')
 CREATE TABLE T_CFM_EXTENDAPPLYBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDRAWAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOTREPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRENEWALEXPIREDATE DATETIME,
FPREVRENEWALEXPIREDATE DATETIME,
FISADJUSTINTERESTRATE CHAR(1) DEFAULT '0' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLOANCONTRACTBILLID BIGINT DEFAULT 0 NOT NULL,
FAPPLYDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOANTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDATASOURCE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREFERRATEID BIGINT DEFAULT 0 NOT NULL,
FRATESIGN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRATEFLOATPOINT DECIMAL(16,6) DEFAULT 0 NOT NULL,
FRATEADJUSTSTYLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRATEADJUSTCYCLETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRATEADJUSTCYCLE BIGINT DEFAULT 0 NOT NULL,
FRENEWALINTERESTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBUSINESSSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRODUCTFACTORYID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_EXTENDAPPLYBILL' AND KSQL_COL_NAME ='FMASTERID')
 ALTER TABLE T_CFM_EXTENDAPPLYBILL ADD (FMASTERID BIGINT DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_EXTENDAPPLYBILL_E')
 CREATE TABLE T_CFM_EXTENDAPPLYBILL_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FLOANBILLID BIGINT DEFAULT 0 NOT NULL,
FDRAWAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOTREPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISPAYINST CHAR(1) DEFAULT '0' NOT NULL,
FPREVRENEWALEXPIREDATE DATETIME,
FLRENEWALEXPIREDATE DATETIME,
FREPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXTENDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXRATEADJUSTDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_EXTENDAPPLYBILL_L')
 CREATE TABLE T_CFM_EXTENDAPPLYBILL_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\CFM_table.sql **/


/**Begin D:\PDM_UPGRADE\PDM1\CFM_table.sql 融资模型 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_PRODUCTFACTORY_E' AND KSQL_COL_NAME IN ('FISSOFRRATE')) 
 ALTER TABLE T_CFM_PRODUCTFACTORY_E ADD (FISSOFRRATE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_PRODUCTFACTORY_E' AND KSQL_COL_NAME IN ('FCALCINTWAY')) 
 ALTER TABLE T_CFM_PRODUCTFACTORY_E ADD (FCALCINTWAY VARCHAR(30) DEFAULT 'forward' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_PRODUCTFACTORY_E' AND KSQL_COL_NAME IN ('FPOSTPOSITIONTYPE')) 
 ALTER TABLE T_CFM_PRODUCTFACTORY_E ADD (FPOSTPOSITIONTYPE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_PRODUCTFACTORY_E' AND KSQL_COL_NAME IN ('FLOOKBACKTYPE')) 
 ALTER TABLE T_CFM_PRODUCTFACTORY_E ADD (FLOOKBACKTYPE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_PRODUCTFACTORY_E' AND KSQL_COL_NAME IN ('FRATERESETCYCLE')) 
 ALTER TABLE T_CFM_PRODUCTFACTORY_E ADD (FRATERESETCYCLE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_PRODUCTFACTORY_E' AND KSQL_COL_NAME IN ('FRATERESETCYCLEDAY')) 
 ALTER TABLE T_CFM_PRODUCTFACTORY_E ADD (FRATERESETCYCLEDAY INT DEFAULT 0 NOT NULL );

/**End D:\PDM_UPGRADE\PDM1\CFM_table.sql **/

/**Begin C:\Users\rd_zhixiong_w\Downloads\PDM_UPGRADE\PDM1\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_F' AND KSQL_COL_NAME IN ('FISUNIFYDEBIT')) 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_F ADD (FISUNIFYDEBIT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_F' AND KSQL_COL_NAME IN ('FISUNIFYCREDIT')) 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_F ADD (FISUNIFYCREDIT CHAR(1) DEFAULT '0' NOT NULL );

/**End C:\Users\rd_zhixiong_w\Downloads\PDM_UPGRADE\PDM1\CFM_table.sql **/

/**Begin D:\PDM_UPGRADE\PDM1\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_EXTENDAPPLYBILL' AND KSQL_COL_NAME ='FPROTOCOLNO')
 ALTER TABLE T_CFM_EXTENDAPPLYBILL ADD (FPROTOCOLNO NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_EXTENDAPPLYBILL' AND KSQL_COL_NAME ='FMASTERID')
 ALTER TABLE T_CFM_EXTENDAPPLYBILL ADD (FMASTERID BIGINT DEFAULT 0 NOT NULL );

/**End D:\PDM_UPGRADE\PDM1\CFM_table.sql **/
