﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANFEESHARE') 
 CREATE TABLE T_CFM_LOANFEESHARE (
FID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FEXPIREDATE DATETIME,
FINTERESTTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FLOANRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFERENCERATEID BIGINT DEFAULT 0 NOT NULL,
FBASIS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREPAYMENTWAY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTAGEPLANID BIGINT DEFAULT 0 NOT NULL,
FSETTLEINTMODE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FINTERESTSETTLEDPLANID BIGINT DEFAULT 0 NOT NULL,
FSHAREFREQUENCY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFEEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FIRR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOANIRR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FISVOUCHER CHAR(1) DEFAULT '0' NOT NULL,
FVOUCHERNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPERIODSTARTDATE DATETIME,
FPERIODENDDATE DATETIME,
FDAY INT DEFAULT 0 NOT NULL,
FACCRUALINTEREST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYINTEREST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSHAREAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTMENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHSHAREFREQUENCY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FHFEEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHIRR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTRACTNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONTRACTNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANFEESHARE_DETAIL') 
 CREATE TABLE T_CFM_LOANFEESHARE_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPERIOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FDAY INT DEFAULT 0 NOT NULL,
FACCRUALINTEREST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYINTEREST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSHAREAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTMENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);