﻿/**Begin D:\PDM\PDM_UPGRADE\PDM1\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_INITBILL_GMENTRY')
 CREATE TABLE T_CFM_INITBILL_GMENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGCONTRACT BIGINT DEFAULT 0 NOT NULL,
FGCREDITGUARANTEE CHAR(1) DEFAULT '0' NOT NULL,
FGAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGCONTRACTCURRENCY BIGINT DEFAULT 0 NOT NULL,
FGCONTRACTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGEXCHRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGAUTOSHOW CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_RATEADJUSTBILL_E' AND KSQL_COL_NAME IN ('FLOANRATEADJUSTSTYLE')) 
 ALTER TABLE T_CFM_RATEADJUSTBILL_E ADD (FLOANRATEADJUSTSTYLE VARCHAR(30) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_RATEADJUSTBILL' AND KSQL_COL_NAME IN ('FISADJUSTTOFLOAT'))
 ALTER TABLE T_CFM_RATEADJUSTBILL ADD (FISADJUSTTOFLOAT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_RATEADJUSTBILL' AND KSQL_COL_NAME IN ('FRATEADJUSTSTYLE')) 
 ALTER TABLE T_CFM_RATEADJUSTBILL ADD (FRATEADJUSTSTYLE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_RATEADJUSTBILL' AND KSQL_COL_NAME IN ('FRATEADJUSTDATE')) 
 ALTER TABLE T_CFM_RATEADJUSTBILL ADD (FRATEADJUSTDATE DATETIME );

/**End D:\PDM_UPGRADE\PDM1\CFM_table.sql **/
