﻿/**Begin D:\PDM_UPGRADE\PDM1\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_USE_CREDIT') 
 CREATE TABLE T_CFM_USE_CREDIT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FROOTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREDITCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBINDID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCURCYAMOUNTRELEASED DECIMAL(19,6) DEFAULT 0 NOT NULL,
FFINORGID BIGINT DEFAULT 0 NOT NULL,
FCREDITTYPE BIGINT DEFAULT 0 NOT NULL,
FCHANGETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBUSINESSCODE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FEXPIREDATE DATETIME,
FBUSINESSAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCREDITAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCONTRACTNO BIGINT DEFAULT 0 NOT NULL,
FCREDITRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCREDITAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCREDITPROP NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNTRELEASED DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCKAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREGISTRANT BIGINT DEFAULT 0 NOT NULL,
FCREDITBUSINESSTYPE BIGINT DEFAULT 0 NOT NULL,
FRELEASEAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_USE_CREDIT_L') 
 CREATE TABLE T_CFM_USE_CREDIT_L (
FPKID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\CFM_table.sql **/
