﻿/**Begin D:\PDM_UPGRADE\PDM1\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_ENTRY' AND KSQL_COL_NAME ='FLOANRATESIGN') 
 ALTER TABLE T_CFM_INITBILL_ENTRY ADD (FLOANRATESIGN NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_ENTRY' AND KSQL_COL_NAME ='FLOANRATEFLOATPOINT') 
 ALTER TABLE T_CFM_INITBILL_ENTRY ADD (FLOANRATEFLOATPOINT DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_ENTRY' AND KSQL_COL_NAME ='FLOANRATEADJUSTSTYLE') 
 ALTER TABLE T_CFM_INITBILL_ENTRY ADD (FLOANRATEADJUSTSTYLE NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_ENTRY' AND KSQL_COL_NAME ='FLOANRATEADJUSTDATE') 
 ALTER TABLE T_CFM_INITBILL_ENTRY ADD (FLOANRATEADJUSTDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_ENTRY' AND KSQL_COL_NAME ='FLOANRATEADJUSTCYCLE') 
 ALTER TABLE T_CFM_INITBILL_ENTRY ADD (FLOANRATEADJUSTCYCLE INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_INITBILL_E') 
 CREATE TABLE T_CFM_INITBILL_E (
FID BIGINT DEFAULT 0 NOT NULL,
FRATETYPEID BIGINT DEFAULT 0 NOT NULL,
FRATEDEADLINEID BIGINT DEFAULT 0 NOT NULL,
FRATESIGN NVARCHAR(30) DEFAULT ' ' NOT NULL,
FRATEFLOATPOINT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FRATEADJUSTSTYLE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FRATEADJUSTDATE DATETIME,
FRATEADJUSTCYCLE INT DEFAULT 0 NOT NULL,
FEXRATETYPEID BIGINT DEFAULT 0 NOT NULL,
FEXRATEDEADLINEID BIGINT DEFAULT 0 NOT NULL,
FEXRATESIGN NVARCHAR(30) DEFAULT ' ' NOT NULL,
FEXRATEFLOATPOINT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEXRATEADJUSTSTYLE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FEXRATEADJUSTCYCLE INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_EXTENDBILL_ENTRY' AND KSQL_COL_NAME ='FEXRATEADJUSTDATE') 
 ALTER TABLE T_CFM_EXTENDBILL_ENTRY ADD (FEXRATEADJUSTDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FRATETYPEID') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FRATETYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FRATEDEADLINEID') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FRATEDEADLINEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FRATESIGN') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FRATESIGN NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FRATEFLOATPOINT') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FRATEFLOATPOINT DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FRATEADJUSTDATE') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FRATEADJUSTDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FRATEADJUSTCYCLE') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FRATEADJUSTCYCLE INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FRATEADJUSTSTYLE') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FRATEADJUSTSTYLE NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_EXTENDBILL' AND KSQL_COL_NAME ='FRATETYPEID') 
 ALTER TABLE T_CFM_EXTENDBILL ADD (FRATETYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_EXTENDBILL' AND KSQL_COL_NAME ='FRATEDEADLINEID') 
 ALTER TABLE T_CFM_EXTENDBILL ADD (FRATEDEADLINEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_EXTENDBILL' AND KSQL_COL_NAME ='FRATESIGN') 
 ALTER TABLE T_CFM_EXTENDBILL ADD (FRATESIGN NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_EXTENDBILL' AND KSQL_COL_NAME ='FRATEFLOATPOINT') 
 ALTER TABLE T_CFM_EXTENDBILL ADD (FRATEFLOATPOINT DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_EXTENDBILL' AND KSQL_COL_NAME ='FRATEADJUSTSTYLE') 
 ALTER TABLE T_CFM_EXTENDBILL ADD (FRATEADJUSTSTYLE NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_EXTENDBILL' AND KSQL_COL_NAME ='FRATEADJUSTCYCLE') 
 ALTER TABLE T_CFM_EXTENDBILL ADD (FRATEADJUSTCYCLE INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FRATETYPEID') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FRATETYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FRATEDEADLINEID') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FRATEDEADLINEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FRATESIGN') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FRATESIGN NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FRATEADJUSTSTYLE') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FRATEADJUSTSTYLE NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FRATEFLOATPOINT') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FRATEFLOATPOINT DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FRATEADJUSTDATE') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FRATEADJUSTDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FRATEADJUSTCYCLE') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FRATEADJUSTCYCLE INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FRENEWALINTERESTTYPE') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FRENEWALINTERESTTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FEXRATETYPEID') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FEXRATETYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FEXRATEDEADLINEID') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FEXRATEDEADLINEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FEXRATESIGN') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FEXRATESIGN NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FEXRATEFLOATPOINT') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FEXRATEFLOATPOINT DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FEXRATEADJUSTSTYLE') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FEXRATEADJUSTSTYLE NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FEXRATEADJUSTCYCLE') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FEXRATEADJUSTCYCLE INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FEXRATEADJUSTDATE') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FEXRATEADJUSTDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FRENEWALINTERESTRATE') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FRENEWALINTERESTRATE DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANBILL_RA_ENTRY') 
 CREATE TABLE T_CFM_LOANBILL_RA_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRAEFFECTDATE DATETIME,
FRAYEARRATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FRAREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRAMODIFIER BIGINT DEFAULT 0 NOT NULL,
FRAMODIFYDATE DATETIME
);



/**End D:\PDM_UPGRADE\PDM1\CFM_table.sql **/
