﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FLOANTYPE') 
 ALTER TABLE T_CFM_INITBILL_E ADD (FLOANTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FCONFIRMSTATUS') 
 ALTER TABLE T_CFM_INITBILL_E ADD (FCONFIRMSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FRETURNREASON') 
 ALTER TABLE T_CFM_INITBILL_E ADD (FRETURNREASON NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FDATASOURCE') 
 ALTER TABLE T_CFM_INITBILL_E ADD (FDATASOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FREGISTORGID') 
 ALTER TABLE T_CFM_INITBILL_E ADD (FREGISTORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FCONFIRMTIME') 
 ALTER TABLE T_CFM_INITBILL_E ADD (FCONFIRMTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FCONFIRMERID') 
 ALTER TABLE T_CFM_INITBILL_E ADD (FCONFIRMERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FCONFIRMDESCRIPTION') 
 ALTER TABLE T_CFM_INITBILL_E ADD (FCONFIRMDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FCOMPANYER') 
 ALTER TABLE T_CFM_INITBILL_E ADD (FCOMPANYER NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_INTERESTBILL_E') 
 CREATE TABLE T_CFM_INTERESTBILL_E (
FID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FRETURNREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDATASOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREGISTORGID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMTIME DATETIME,
FCONFIRMERID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLOANERACCTBANKID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYER NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANAPPLY') 
 CREATE TABLE T_CFM_LOANAPPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FBIZDATE DATETIME,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FLENDERNATURE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FLENDER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FACCOUNTBANKID BIGINT DEFAULT 0 NOT NULL,
FGUARANTEE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FFINPRODUCTID BIGINT DEFAULT 0 NOT NULL,
FCLIENTORGID BIGINT DEFAULT 0 NOT NULL,
FINTERESTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINTERESTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONVERSIONDAYS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINTERESTSETTLEDPLANID BIGINT DEFAULT 0 NOT NULL,
FREPAYMENTWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOANPERSON BIGINT DEFAULT 0 NOT NULL,
FLOANTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPLICAT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRATETYPEID BIGINT DEFAULT 0 NOT NULL,
FRATEDEADLINEID BIGINT DEFAULT 0 NOT NULL,
FRATESIGN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRATEFLOATPOINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUSINESSSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANAPPLY_L') 
 CREATE TABLE T_CFM_LOANAPPLY_L (
FPKID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_REPAYMENTBILL_E') 
 CREATE TABLE T_CFM_REPAYMENTBILL_E (
FID BIGINT DEFAULT 0 NOT NULL,
FLOANTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCONFIRMSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FRETURNREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDATASOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREGISTORGID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMTIME DATETIME,
FCONFIRMERID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLOANERACCTBANKID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYER NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FLOANTYPE') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FLOANTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FCONFIRMSTATUS') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FCONFIRMSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FRETURNREASON') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FRETURNREASON NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FDATASOURCE') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FDATASOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FREGISTORGID') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FREGISTORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FCONFIRMTIME') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FCONFIRMTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FCONFIRMERID') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FCONFIRMERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FLOANERACCTBANKID') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FLOANERACCTBANKID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FLENDERAPPLYNO') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FLENDERAPPLYNO NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FCONFIRMDESCRIPTION') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FCONFIRMDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FCOMPANYER') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FCOMPANYER NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_EXTENDBILL' AND KSQL_COL_NAME ='FLOANTYPE') 
 ALTER TABLE T_CFM_EXTENDBILL ADD (FLOANTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_EXTENDBILL' AND KSQL_COL_NAME ='FCONFIRMSTATUS') 
 ALTER TABLE T_CFM_EXTENDBILL ADD (FCONFIRMSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_EXTENDBILL' AND KSQL_COL_NAME ='FRETURNREASON') 
 ALTER TABLE T_CFM_EXTENDBILL ADD (FRETURNREASON NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_EXTENDBILL' AND KSQL_COL_NAME ='FDATASOURCE') 
 ALTER TABLE T_CFM_EXTENDBILL ADD (FDATASOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_EXTENDBILL' AND KSQL_COL_NAME ='FREGISTORGID') 
 ALTER TABLE T_CFM_EXTENDBILL ADD (FREGISTORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_EXTENDBILL' AND KSQL_COL_NAME ='FCONFIRMTIME') 
 ALTER TABLE T_CFM_EXTENDBILL ADD (FCONFIRMTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_EXTENDBILL' AND KSQL_COL_NAME ='FCONFIRMERID') 
 ALTER TABLE T_CFM_EXTENDBILL ADD (FCONFIRMERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_EXTENDBILL' AND KSQL_COL_NAME ='FCONFIRMDESCRIPTION') 
 ALTER TABLE T_CFM_EXTENDBILL ADD (FCONFIRMDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_EXTENDBILL' AND KSQL_COL_NAME ='FCOMPANYER') 
 ALTER TABLE T_CFM_EXTENDBILL ADD (FCOMPANYER NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FLOANTYPE') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FLOANTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FCONFIRMSTATUS') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FCONFIRMSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FRETURNREASON') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FRETURNREASON NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FDATASOURCE') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FDATASOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FREGISTORGID') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FREGISTORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FCONFIRMTIME') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FCONFIRMTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FCONFIRMERID') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FCONFIRMERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FCONFIRMDESCRIPTION') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FCONFIRMDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FLOANERACCTBANKID') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FLOANERACCTBANKID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FCOMPANYER') 
 ALTER TABLE T_CFM_LOANBILL_E ADD (FCOMPANYER NVARCHAR(30) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CFM_table.sql **/
