﻿/**Begin D:\PDM_UPGRADE\PDM1\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_PRODUCTFACTORY') 
 CREATE TABLE T_CFM_PRODUCTFACTORY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREDITORTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FISLOANCOMMIT CHAR(1) DEFAULT '0' NOT NULL,
FISCYCLELOAN CHAR(1) DEFAULT '0' NOT NULL,
FCURRENCYRULE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDRAWWAY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FTERMTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FISCREDITLIMIT CHAR(1) DEFAULT '0' NOT NULL,
FISREPAYPLAN CHAR(1) DEFAULT '0' NOT NULL,
FISFINANCINGPLAN CHAR(1) DEFAULT '0' NOT NULL,
FISLKBIZPROP CHAR(1) DEFAULT '0' NOT NULL,
FISISSUEINFO CHAR(1) DEFAULT '0' NOT NULL,
FISSLINFO CHAR(1) DEFAULT '0' NOT NULL,
FISTRADEFININFO CHAR(1) DEFAULT '0' NOT NULL,
FISSCMINFO CHAR(1) DEFAULT '0' NOT NULL,
FISPROJECTINFO CHAR(1) DEFAULT '0' NOT NULL,
FASSUREWAY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFINPRODUCTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_PRODUCTFACTORY_E') 
 CREATE TABLE T_CFM_PRODUCTFACTORY_E (
FID BIGINT DEFAULT 0 NOT NULL,
FISCALLINT CHAR(1) DEFAULT '0' NOT NULL,
FISCALLCOMPINT CHAR(1) DEFAULT '0' NOT NULL,
FINTDATEEFFECTRULE VARCHAR(30) DEFAULT ' ' NOT NULL,
FINTCAPITALRULE VARCHAR(30) DEFAULT ' ' NOT NULL,
FBASIS VARCHAR(30) DEFAULT ' ' NOT NULL,
FINTHEADTAILRULE VARCHAR(30) DEFAULT ' ' NOT NULL,
FINTCALMETHOD VARCHAR(30) DEFAULT ' ' NOT NULL,
FINTROUNDRULE VARCHAR(30) DEFAULT ' ' NOT NULL,
FRATETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FISPROVISION CHAR(1) DEFAULT '0' NOT NULL,
FISADJUSTFIXRATE CHAR(1) DEFAULT '0' NOT NULL,
FRATEADJUSTMETHOD VARCHAR(30) DEFAULT ' ' NOT NULL,
FCOMPINTADJUSTWAY VARCHAR(30) DEFAULT ' ' NOT NULL,
FREPAYMENTMODE VARCHAR(30) DEFAULT ' ' NOT NULL,
FEQUALDEALRULE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSETTLEINTMODE VARCHAR(30) DEFAULT ' ' NOT NULL,
FISGRACEPERIOD CHAR(1) DEFAULT '0' NOT NULL,
FINTGRACEDAYS INT DEFAULT 0 NOT NULL,
FCAPITALGRACEDAYS INT DEFAULT 0 NOT NULL,
FGRACECALLINTMODE VARCHAR(30) DEFAULT ' ' NOT NULL,
FGRACEADJUSTRULE VARCHAR(30) DEFAULT ' ' NOT NULL,
FLOANEXPIREADJUSTRULE VARCHAR(30) DEFAULT ' ' NOT NULL,
FISAUTOOVERDUE CHAR(1) DEFAULT '0' NOT NULL,
FISCANDEFER CHAR(1) DEFAULT '0' NOT NULL,
FDEFERMAXCOUNT INT DEFAULT 0 NOT NULL,
FISCANOVERTERM CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_PRODUCTFACTORY_L') 
 CREATE TABLE T_CFM_PRODUCTFACTORY_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_PRODUCTFACTORY_C') 
 CREATE TABLE T_CFM_PRODUCTFACTORY_C (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\CFM_table.sql **/
