﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CREDITLIMIT_DETAI_C') 
 CREATE TABLE T_CFM_CREDITLIMIT_DETAI_C (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CREDITLIMIT_DETAI_D') 
 CREATE TABLE T_CFM_CREDITLIMIT_DETAI_D (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CREDITLIMIT_DETAIL') 
 CREATE TABLE T_CFM_CREDITLIMIT_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FTOTALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAVARAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSINGLEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORGIN CHAR(1) DEFAULT '0' NOT NULL,
FCTRLTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_CREDITLMTTYPE_ENTRY' AND KSQL_COL_NAME ='FPREUSEAMT') 
 ALTER TABLE T_CFM_CREDITLMTTYPE_ENTRY ADD (FPREUSEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_CREDITLIMIT' AND KSQL_COL_NAME ='FORGID') 
 ALTER TABLE T_CFM_CREDITLIMIT ADD (FORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_CREDITLIMIT' AND KSQL_COL_NAME ='FCREATEORGID') 
 ALTER TABLE T_CFM_CREDITLIMIT ADD (FCREATEORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_CREDITLIMIT' AND KSQL_COL_NAME ='FCTRLSTRATEGY') 
 ALTER TABLE T_CFM_CREDITLIMIT ADD (FCTRLSTRATEGY NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_CREDITLIMIT' AND KSQL_COL_NAME ='FPREUSEAMT') 
 ALTER TABLE T_CFM_CREDITLIMIT ADD (FPREUSEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_CREDITLIMIT' AND KSQL_COL_NAME ='FFOREXQUOTEID') 
 ALTER TABLE T_CFM_CREDITLIMIT ADD (FFOREXQUOTEID BIGINT DEFAULT 0 NOT NULL );
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_CREDITUSE' AND KSQL_COL_NAME ='FORGID')
 ALTER TABLE T_CFM_CREDITUSE ADD (FORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_CREDITUSE' AND KSQL_COL_NAME ='FBIZCURRENCYID') 
 ALTER TABLE T_CFM_CREDITUSE ADD (FBIZCURRENCYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_CREDITUSE' AND KSQL_COL_NAME ='FBIZCREDITAMOUNT') 
 ALTER TABLE T_CFM_CREDITUSE ADD (FBIZCREDITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_CREDITUSE' AND KSQL_COL_NAME ='FCREDITRATE') 
 ALTER TABLE T_CFM_CREDITUSE ADD (FCREDITRATE DECIMAL(23,10) DEFAULT 0 NOT NULL );
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_CREDITUSE' AND KSQL_COL_NAME IN ('FORGID'))
  ALTER TABLE T_CFM_CREDITUSE ADD (FORGID BIGINT DEFAULT 0 NOT NULL );
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_CREDITUSE' AND KSQL_COL_NAME IN ('FPREAMOUNT'))
  ALTER TABLE T_CFM_CREDITUSE ADD (FPREAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_CREDITUSE' AND KSQL_COL_NAME IN ('FCREDITRATIO'))
  ALTER TABLE T_CFM_CREDITUSE ADD (FCREDITRATIO INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_FINANCINGVARIETIES' AND KSQL_COL_NAME ='FCREDITRATIO') 
 ALTER TABLE T_CFM_FINANCINGVARIETIES ADD (FCREDITRATIO INT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CFM_table.sql **/
