﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CREDITUSE_RETURN')
 CREATE TABLE T_CFM_CREDITUSE_RETURN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FRETURNID BIGINT DEFAULT 0 NOT NULL,
FBIZAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_EXTENDBILL_E')
 CREATE TABLE T_CFM_EXTENDBILL_E (
FID BIGINT DEFAULT 0 NOT NULL,
FPREVRENEWALEXPIREDATE DATETIME,
FRENEWALNUM INT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTFACTORYID BIGINT DEFAULT 0 NOT NULL,
FDEBTORTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDEBTORID BIGINT DEFAULT 0 NOT NULL,
FTEXTDEBTOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREDITORID BIGINT DEFAULT 0 NOT NULL,
FTEXTCREDITOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREDITORGID BIGINT DEFAULT 0 NOT NULL,
FISADJUSTINTERESTRATE CHAR(1) DEFAULT '0' NOT NULL,
FRATEADJUSTCYCLETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREFERRATEID BIGINT DEFAULT 0 NOT NULL,
FLOANCONTRACTBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_EXTENDBILL_ENTRY' AND KSQL_COL_NAME ='FPREVRENEWALEXPIREDATE')
 ALTER TABLE T_CFM_EXTENDBILL_ENTRY ADD (FPREVRENEWALEXPIREDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_F' AND KSQL_COL_NAME ='FRENEWALEXPIREDATE')
 ALTER TABLE T_CFM_LOANCONTRACTBILL_F ADD (FRENEWALEXPIREDATE DATETIME );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CFM_table.sql **/
