<?xml version="1.0" encoding="UTF-8"?>

<DeployScript>
  <Scripts>
    <KScript>
      <id>0Fpi4rwR</id>
      <number>cfm_dynamicobjshowlist</number>
      <cmb_ftype></cmb_ftype>
      <scripttype>1</scripttype>
      <context><![CDATA[require("kd.bos.list.ListColumn");
        require("kd.bos.mvc.list.ListDataProvider");
        require("kd.bos.mvc.form.FormView");
/**
 * @author 
 * @date 
 */
        var plugin = new ListPlugin({
        beforeCreateListColumns : function(e){
        var lsp = this.getView().getFormShowParameter();
        var listColumns = lsp.getCustomParam("showFields");
        var columns = e.getListColumns();
        columns.clear();
        var dt = EntityMetadataCache.getDataEntityType(this.getEntityKey());
        var allFields = dt.getAllFields();
        for (var i = 0; i < listColumns.size(); i++) {
        var field = listColumns.get(i);
        var split = field.split(".");
        if (allFields.containsKey(split[0])) {
        var property = allFields.get(split[0]);
        //以上代码都是为了获取下面这个字段显示名称
        var columnDisplayName = property.getDisplayName().getLocaleValue();
        columns.add(this.createListColumn(field, columnDisplayName, i + 1));
        }
        }
        },
        createListColumn :function(key,columnDisplayName,colIndex){
        var col = new ListColumn();
        col.setCaption(new LocaleString(columnDisplayName));
        col.setKey(key);
        col.setListFieldKey(key);
        col.setFieldName(key);
        col.setSeq(colIndex);
        col.setVisible(11);
        return col;
        },

        getEntityKey : function(){
        var entity = this.getView().getFormShowParameter().getCustomParam("entity");
        return entity;
        },
        getEntryKey : function(){
        var entity = this.getView().getFormShowParameter().getCustomParam("entry");
        return entity;
        },
        isEntryMain :function(){
        var entity = this.getView().getFormShowParameter().getCustomParam("isEntryMain");
        return entity;
        }

        });]]></context>
      <bizappid>03BPAMUHBB22</bizappid>
      <bizunitid>1SP73MF2GGGX</bizunitid>
      <scriptname>银行分录选择</scriptname>
      <creater_id>1165243834808938496</creater_id>
      <createdate>1627525125000</createdate>
      <modifydate>1627525202000</modifydate>
      <modifier_id>1165243834808938496</modifier_id>
      <isv>kingdee</isv>
      <classname>kingdee.tmc.cfm.cfm_fee.cfm_dynamicobjshowlist</classname>
    </KScript>
  </Scripts>
  <BOSVersion>1.0</BOSVersion>
</DeployScript>
