﻿--(原)到期还本 --> (新)到期还本,定期还息
update t_cfm_loancontractbill set frepaymentway = 'bqhbdqhx' where frepaymentway ='once';
--(原)分期还款 --> (新)定期还本,定期还息
update t_cfm_loancontractbill set frepaymentway = 'dqhbdqhx' where frepaymentway ='stage';
--(原)自定义  --> (新)自定义
update t_cfm_loancontractbill set frepaymentway = 'zdyhk' where frepaymentway ='customize';

--普通借款
update t_cfm_loancontractbill_e e set FLOANTYPE ='loan'  where e.fdatasource ='cfm' and  exists (select 1 from t_cfm_loancontractbill c where c.FLENDERNATURE='outgroup' and c.fisclientloan='0' and c.fid = e.fid and c.fcompanyid >0);
--企业往来
update t_cfm_loancontractbill_e e set FLOANTYPE ='ec' where exists (select 1 from  t_cfm_loancontractbill c where c.fid = e.fid and c.fisclientloan='0' and c.FLENDERNATURE='ingroup' and c.fcompanyid>0 );
update t_cfm_loancontractbill_e e set FLOANTYPE ='ec' where e.fdatasource ='invest' and exists (select 1 from  t_cfm_loancontractbill c where c.fid = e.fid and c.fisclientloan='0' and c.FLENDERNATURE='ingroup' and c.floanorgid >0 );
--委托贷款
update t_cfm_loancontractbill_e e set FLOANTYPE ='entrust' where exists (select 1 from  t_cfm_loancontractbill c where c.fid = e.fid and c.fisclientloan='1' and (c.fcompanyid >0 or c.floanorgid>0));

--确认状态
UPDATE T_CFM_LOANCONTRACTBILL_E SET FCONFIRMSTATUS = replace(fconfirmstatus, ',', '')   WHERE  length(replace(fconfirmstatus, ',', ''))>0;
UPDATE T_CFM_LOANCONTRACTBILL_E SET FCONFIRMSTATUS = ' '   WHERE  length(replace(fconfirmstatus, ',', ''))=0 OR length(replace(fconfirmstatus, ',', '')) IS null;

UPDATE t_cfm_extendbill SET FCONFIRMSTATUS = replace(fconfirmstatus, ',', '')   WHERE  length(replace(fconfirmstatus, ',', ''))>0;
UPDATE t_cfm_extendbill SET FCONFIRMSTATUS = ' '   WHERE  length(replace(fconfirmstatus, ',', ''))=0 OR length(replace(fconfirmstatus, ',', '')) IS null;

--合同新增扩张表，初始融资申请ID
insert into t_cfm_loancontractbill_f (fid, floanapplyid)  select a.fid, a.fsourcebillid from t_cfm_loancontractbill_e a where not exists (select 1 from t_cfm_loancontractbill_f where fid=a.fid) ;

--是否允许展期，是否计息　
update t_cfm_loancontractbill_e e set fiscandefer = '1', fiscallint = '1' where exists (select 1 from t_cfm_loancontractbill c where c.fid = e.fid  and (c.fcompanyid >0 or c.floanorgid >0));
--借款人
update t_cfm_loancontractbill_e as e
set forgid  =   (select c.FCompanyId from t_cfm_loancontractbill c where c.fid = e.fid),
    fdebtorid = (select c.FCompanyId from t_cfm_loancontractbill c where c.fid = e.fid),
    fdebtortype  = 'innerunit',
    ftextdebtor = fcompanyer
where e.forgid = 0 and exists (select 1 from t_cfm_loancontractbill where fid = e.fid  and fcompanyid >0)
and  e.fdatasource='cfm';

--invest贷款人　
update t_cfm_loancontractbill_e as e
set fcreditorid    =  (select c.floanorgid from t_cfm_loancontractbill c where c.fid = e.fid),
fcreditorgid   =  (select c.floanorgid from t_cfm_loancontractbill c where c.fid = e.fid),
fcreditortype  = 'innerunit',
ftextcreditor = flender
where e.fcreditorgid = 0 and exists (select 1 from t_cfm_loancontractbill where fid = e.fid  and floanorgid >0)
and  e.fdatasource='invest';


--cfm 集团内
update t_cfm_loancontractbill_e as e
set fcreditorid  = (select c.floanorgid from t_cfm_loancontractbill c where c.fid = e.fid),
fcreditorgid  = (select c.floanorgid from t_cfm_loancontractbill c where c.fid = e.fid),
ftextcreditor =  flender,
fcreditortype ='innerunit'
where (e.fcreditorid = 0  or e.fcreditortype =' '  or  e.fcreditortype ='')
and   e.fdatasource = 'cfm'
and exists (select 1 from t_cfm_loancontractbill where fid = e.fid  and flendernature='ingroup' and fcompanyid >0);

--cfm 委托贷款场景。集团外
update t_cfm_loancontractbill_e as e
set ftextcreditor = flender,
    fcreditortype='other'
where e.fdatasource  = 'cfm' and (e.fcreditortype =' ' or  e.fcreditortype ='')
and exists (select 1 from t_cfm_loancontractbill as b where b.flendernature ='outgroup' and b.fisclientloan ='1' and  b.fid=e.fid and b.fcompanyid >0);


--cfm 集团外，金融机构(在代码处理）　
update t_cfm_loancontractbill_e as e
set
fcreditorid  = (select c.ffinorginfoid from t_cfm_loancontractbill c where c.fid = e.fid),
ftextcreditor =  flender,
fcreditortype ='bank'
where (e.fcreditorid = 0  or e.fcreditortype =' ' or e.fcreditortype ='')
and   e.fdatasource = 'cfm'
and exists (select 1 from t_cfm_loancontractbill as b where b.fid = e.fid  and b.flendernature='outgroup' and b.fisclientloan ='0' and b.fcompanyid >0);

--投资合同集团内
update t_cfm_loancontractbill_e as e
set
	fdebtorid  = (select fcompanyid  from t_cfm_loancontractbill c where c.fid = e.fid),
	forgid     = (select fcompanyid  from t_cfm_loancontractbill c where c.fid = e.fid),
	ftextdebtor=(select  fcompanyer from t_cfm_loancontractbill c where c.fid = e.fid),
	fdebtortype='innerunit'
where e.fdatasource  = 'invest' and (e.fdebtortype =' ' or e.fdebtortype='' or  e.fdebtorid=0)
and exists (select 1 from t_cfm_loancontractbill as b where b.flendernature ='ingroup' and b.fid = e.fid and b.floanorgid > 0);

--投资合同集团外债务人债务人类型
update t_cfm_loancontractbill_e as e
set ftextdebtor=(select fcompanyer from t_cfm_loancontractbill c where c.fid = e.fid),
	fdebtortype='other'
where e.fdatasource  = 'invest' and (e.fdebtortype = ' ' or e.fdebtortype='' or  e.fdebtorid=0)
and exists (select 1 from t_cfm_loancontractbill as b where b.flendernature ='outgroup' and b.fid = e.fid and b.floanorgid > 0);

--合同的展期后到期字段
update t_cfm_loancontractbill_f f set frenewalexpiredate = (select max(b.frenewalexpiredate)
	from t_cfm_extendbill as b where b.fsourcebillid  = f.fid and b.fbillstatus ='C' and b.fconfirmstatus='yetconfirm'
) where f.frenewalexpiredate is null and  exists ( select 1 from t_cfm_extendbill where fbillstatus ='C' and fconfirmstatus='yetconfirm'
 and fsourcebillid  = f.fid );

--重置周期设置月
update t_cfm_loancontractbill_e e set frateadjustcycletype='M' where
 e.frateadjuststyle = 'cycle' and  e.frateadjustcycle >0
 and (e.frateadjustcycletype=' ' or e.frateadjustcycletype='' or e.frateadjustcycletype is null)
 and  exists (select 1 from t_cfm_loancontractbill  c where c.fid = e.FID  and c.FINTERESTTYPE='float' and (c.FCOMPANYID>0 or c.FLOANORGID>0));

--计息基准 转换天数-->计息基准
update t_cfm_loancontractbill_e set fbasis = 'Actual_360' where fid in (select c.fid from t_cfm_loancontractbill c where  c.fconversiondays ='360');
update t_cfm_loancontractbill_e set fbasis = 'Actual_365' where fid in (select c.fid from t_cfm_loancontractbill c where  c.fconversiondays ='365');


