﻿
update t_cfm_loancontractbill_e set fdatasource='cfm' where fdatasource is null or fdatasource = ' ' or fdatasource ='';
update t_cfm_loanbill_e set fdatasource='cfm' where fdatasource is null or fdatasource = ' ' or fdatasource ='';
update t_cfm_repaymentbill_e set fdatasource='cfm' where fdatasource is null or fdatasource = ' ' or fdatasource ='';
update t_cfm_interestbill_e set fdatasource='cfm' where fdatasource is null or fdatasource = ' ' or fdatasource ='';

--普通借款
update t_cfm_loancontractbill_e e set FLOANTYPE ='loan'  where e.fdatasource ='cfm' and  exists (select 1 from t_cfm_loancontractbill c where c.FLENDERNATURE='outgroup' and c.fisclientloan='0' and c.fid = e.fid and c.fcompanyid >0);
--企业往来
update t_cfm_loancontractbill_e e set FLOANTYPE ='ec' where exists (select 1 from  t_cfm_loancontractbill c where c.fid = e.fid and c.fisclientloan='0' and c.FLENDERNATURE='ingroup' and c.fcompanyid>0 );
update t_cfm_loancontractbill_e e set FLOANTYPE ='ec' where e.fdatasource ='invest' and exists (select 1 from  t_cfm_loancontractbill c where c.fid = e.fid and c.fisclientloan='0' and c.FLENDERNATURE='ingroup' and c.floanorgid >0 );
--委托贷款
update t_cfm_loancontractbill_e e set FLOANTYPE ='entrust' where exists (select 1 from  t_cfm_loancontractbill c where c.fid = e.fid and c.fisclientloan='1' and (c.fcompanyid >0 or c.floanorgid>0));

--借款人
update t_cfm_loancontractbill_e as e
set forgid  =   (select c.FCompanyId from t_cfm_loancontractbill c where c.fid = e.fid),
    fdebtorid = (select c.FCompanyId from t_cfm_loancontractbill c where c.fid = e.fid),
    fdebtortype  = 'innerunit',
    ftextdebtor = fcompanyer
where e.forgid = 0 and exists (select 1 from t_cfm_loancontractbill where fid = e.fid  and fcompanyid >0)
and  e.fdatasource='cfm';

--invest贷款人　
update t_cfm_loancontractbill_e as e
set fcreditorid    =  (select c.floanorgid from t_cfm_loancontractbill c where c.fid = e.fid),
fcreditorgid   =  (select c.floanorgid from t_cfm_loancontractbill c where c.fid = e.fid),
fcreditortype  = 'innerunit',
ftextcreditor = flender
where e.fcreditorgid = 0 and exists (select 1 from t_cfm_loancontractbill where fid = e.fid  and floanorgid >0)
and  e.fdatasource='invest';

--cfm 集团内
update t_cfm_loancontractbill_e as e
set fcreditorid  = (select c.floanorgid from t_cfm_loancontractbill c where c.fid = e.fid),
fcreditorgid  = (select c.floanorgid from t_cfm_loancontractbill c where c.fid = e.fid),
ftextcreditor =  flender,
fcreditortype ='innerunit'
where (e.fcreditorid = 0  or e.fcreditortype =' '  or  e.fcreditortype ='')
and   e.fdatasource = 'cfm'
and exists (select 1 from t_cfm_loancontractbill where fid = e.fid  and flendernature='ingroup' and fcompanyid >0);

--cfm 委托贷款场景。集团外
update t_cfm_loancontractbill_e as e
set ftextcreditor = flender,
    fcreditortype='other'
where e.fdatasource  = 'cfm' and (e.fcreditortype =' ' or  e.fcreditortype ='')
and exists (select 1 from t_cfm_loancontractbill as b where b.flendernature ='outgroup' and b.fisclientloan ='1' and  b.fid=e.fid and b.fcompanyid >0);

--cfm 集团外，金融机构(在代码处理）　
update t_cfm_loancontractbill_e as e
set
fcreditorid  = (select c.ffinorginfoid from t_cfm_loancontractbill c where c.fid = e.fid),
ftextcreditor =  flender,
fcreditortype ='bank'
where (e.fcreditorid = 0  or e.fcreditortype =' ' or e.fcreditortype ='')
and   e.fdatasource = 'cfm'
and exists (select 1 from t_cfm_loancontractbill as b where b.fid = e.fid  and b.flendernature='outgroup' and b.fisclientloan ='0' and b.fcompanyid >0);

--投资合同集团内
update t_cfm_loancontractbill_e as e
set
	fdebtorid  = (select fcompanyid  from t_cfm_loancontractbill c where c.fid = e.fid),
	forgid     = (select fcompanyid  from t_cfm_loancontractbill c where c.fid = e.fid),
	ftextdebtor=(select  fcompanyer from t_cfm_loancontractbill c where c.fid = e.fid),
	fdebtortype='innerunit'
where e.fdatasource  = 'invest' and (e.fdebtortype =' ' or e.fdebtortype='' or  e.fdebtorid=0)
and exists (select 1 from t_cfm_loancontractbill as b where b.flendernature ='ingroup' and b.fid = e.fid and b.floanorgid > 0);

--投资合同集团外债务人债务人类型
update t_cfm_loancontractbill_e as e
set ftextdebtor=(select fcompanyer from t_cfm_loancontractbill c where c.fid = e.fid),
	fdebtortype='other'
where e.fdatasource  = 'invest' and (e.fdebtortype = ' ' or e.fdebtortype='' or  e.fdebtorid=0)
and exists (select 1 from t_cfm_loancontractbill as b where b.flendernature ='outgroup' and b.fid = e.fid and b.floanorgid > 0);
