-- 更新提款起息日利率
update t_cfm_loanbill_t l
  set fstartloanrate = (select distinct d.frayearrate
                          from  t_cfm_loanbill_ra_entry d,
					        (select b.fid,min(b.fraeffectdate) fraeffectdate
					        from  t_cfm_loanbill_ra_entry b
					        group by b.fid
					        ) as e
                          where d.fid = e.fid and d.fraeffectdate = e.fraeffectdate and l.fid = d.fid )
 where l.fstartloanrate = 0 and exists (select a.fid from t_cfm_loanbill_ra_entry a where a.fid = l.fid);

-- 更新贷款合同-合同签订日利率
update t_cfm_loancontractbill_f b
set fstartinterestrate = (select a.finterestrate
                           from t_cfm_loancontractbill a
                           where a.fid = b.fid )
where b.fstartinterestrate = 0 and exists (select c.fid from t_cfm_loancontractbill c where c.fid = b.fid );