-- 异币别提款 数据升级  合同币别、折合同币别金额、折合同币别汇率

INSERT INTO t_cfm_loanbill_p(FID) SELECT FID FROM t_cfm_loanbill T WHERE NOT EXISTS (SELECT FID FROM t_cfm_loanbill_p E WHERE E.FID=T.FID);

-- 合同币别 = 借款币别
update t_cfm_loanbill_p p
set fcontractcnyid = (select a.fcurrencyid
                           from t_cfm_loanbill a
                           where a.fid = p.fid )
where p.fcontractcnyid = 0 and exists (select c.fid from t_cfm_loanbill c where c.fid = p.fid and c.fcurrencyid>0);

-- 折合同币别金额 = 提款金额
update t_cfm_loanbill_p p
set fconvertdrawamt = (select a.fdrawamount
                           from t_cfm_loanbill a
                           where a.fid = p.fid )
where p.fconvertdrawamt = 0 and exists (select c.fid from t_cfm_loanbill c where c.fid = p.fid and c.fdrawamount>0);

-- 汇率 = 1
update t_cfm_loanbill_p set fconvertrate = 1 where fconvertrate = 0;