-- 放款单锁定金额升级
update t_cfm_loanbill_p p set flockpayamt = (select  a.fdrawamount  from t_cfm_loanbill a where a.fid=p.fid)
where  exists(select 1 from t_cfm_loanbill a where a.fid=p.fid and (p.flockpayamt = 0 or p.flockpayamt is null) and  p.fpaybillid >0);

-- 还款单支付金额升级(分录的还款本金+利息合并的实付利息)
update
	t_cfm_repaymentbill_e tcre
set
	fneedpayamt = (
	select sum(case when ls.fcombineinst = '1' then ls.factintamt else 0 end + ls.frepayamount)
	from t_cfm_repaymentbill_loans ls
	where ls.fid = tcre.fid)
where
	exists (
	select
		1
	from
		t_cfm_repaymentbill_loans ls
	where
		ls.fid = tcre.fid
		and (tcre.fneedpayamt = 0
		or tcre.fneedpayamt is null)
		and  tcre.fisrelcash ='1'
		and tcre.ftotalamt >0) ;

-- 还款单锁定金额升级(分录的还款本金+利息合并的实付利息)+前提条件,已经生成付款单

update
	t_cfm_repaymentbill_e tcre
set
	flockpayamt = (
	select sum(case when ls.fcombineinst = '1' then ls.factintamt else 0 end + ls.frepayamount)
	from t_cfm_repaymentbill_loans ls
	where ls.fid = tcre.fid)
where
	exists (
	select
		1
	from
		t_cfm_repaymentbill_loans ls
	where
		ls.fid = tcre.fid
		and (tcre.flockpayamt = 0
		or tcre.flockpayamt is null)
		and tcre.fpaybillid > 0
		and tcre.ftotalamt >0) ;


--付息单锁定金额升级

update t_cfm_interestbill_e e set flockpayamt = (select  a.factualinstamt  from t_cfm_interestbill a where a.fid=e.fid)
where exists(select 1 from t_cfm_interestbill a where a.fid=e.fid and (e.flockpayamt = 0 or e.flockpayamt is null)  and  e.fpaybillid >0);



