﻿/**Begin D:\PDM_UPGRADE\PDM1\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_RATEADJUSTBILL') 
 CREATE TABLE T_CFM_RATEADJUSTBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FLOANCONTRACTBILLID BIGINT DEFAULT 0 NOT NULL,
FADJUSTELE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAFTERREFRATEID BIGINT DEFAULT 0 NOT NULL,
FAFTERRATEADJUSTKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAFTERRATEADJUSTVAL BIGINT DEFAULT 0 NOT NULL,
FAFTERRATESIGN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAFTERRATEFLOATPOINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAFTERINTERESTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTEFFECTDATE DATETIME,
FINTERESTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFRATEID BIGINT DEFAULT 0 NOT NULL,
FRATEADJUSTKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRATEADJUSTVAL BIGINT DEFAULT 0 NOT NULL,
FRATESIGN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRATEFLOATPOINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRODUCTFACTORYID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDRAWAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FNOTREPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_RATEADJUSTBILL_E') 
 CREATE TABLE T_CFM_RATEADJUSTBILL_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAFTERLOANRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLDRAWBILLID BIGINT DEFAULT 0 NOT NULL,
FLISADJUST CHAR(1) DEFAULT '0' NOT NULL,
FAFTERLRATESIGN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAFTERLRATEFLOATPOINT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLLOANRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLRATESIGN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLRATEFLOATPOINT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLDRAWAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLNOTREPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_PRODUCTFACTORY_E' AND KSQL_COL_NAME IN ('FRATERESETDAYS'))
 ALTER TABLE T_CFM_PRODUCTFACTORY_E ADD (FRATERESETDAYS INT DEFAULT 0 NOT NULL );

/**End D:\PDM_UPGRADE\PDM1\CFM_table.sql **/
