﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_INITBILL_FEE')
 CREATE TABLE T_CFM_INITBILL_FEE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFEESCHEMEID BIGINT DEFAULT 0 NOT NULL,
FFEETYPEID BIGINT DEFAULT 0 NOT NULL,
FFEEPAYDATE DATETIME,
FFEECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FFEERATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FFEEAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FFEESETTLETYPEID BIGINT DEFAULT 0 NOT NULL,
FFEEACCTBANKID BIGINT DEFAULT 0 NOT NULL,
FFEEOPPUNITTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFEEOPPUNITID BIGINT DEFAULT 0 NOT NULL,
FFEEOPPUNITTEXT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FFEEOPPACCTBANK NVARCHAR(80) DEFAULT ' ' NOT NULL,
FFEEOPPBEBANKID BIGINT DEFAULT 0 NOT NULL,
FFEEISSETTLE CHAR(1) DEFAULT '0' NOT NULL,
FFEEREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFEESOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_INITBILL_SLOANFEE')
 CREATE TABLE T_CFM_INITBILL_SLOANFEE (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFEESCHEMEID BIGINT DEFAULT 0 NOT NULL,
FFEETYPEID BIGINT DEFAULT 0 NOT NULL,
FFEEPAYDATE DATETIME,
FFEECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FFEERATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FFEEAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FFEESETTLETYPEID BIGINT DEFAULT 0 NOT NULL,
FFEEACCTBANKID BIGINT DEFAULT 0 NOT NULL,
FFEEOPPUNITTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFEEOPPUNITID BIGINT DEFAULT 0 NOT NULL,
FFEEOPPUNITTEXT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FFEEOPPACCTBANK NVARCHAR(80) DEFAULT ' ' NOT NULL,
FFEEOPPBEBANKID BIGINT DEFAULT 0 NOT NULL,
FFEEISSETTLE CHAR(1) DEFAULT '0' NOT NULL,
FFEEREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFEESOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_L' AND KSQL_COL_NAME ='FOTHEREXPLAIN')
 ALTER TABLE T_CFM_INITBILL_L ADD (FOTHEREXPLAIN NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL' AND KSQL_COL_NAME ='FORGID')
 ALTER TABLE T_CFM_INITBILL ADD (FORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL' AND KSQL_COL_NAME ='FOTHEREXPLAIN')
 ALTER TABLE T_CFM_INITBILL ADD (FOTHEREXPLAIN NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_ENTRY' AND KSQL_COL_NAME ='FLOANTERM')
 ALTER TABLE T_CFM_INITBILL_ENTRY ADD (FLOANTERM NVARCHAR(60) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_ENTRY' AND KSQL_COL_NAME ='FSTARTINSTDATE')
 ALTER TABLE T_CFM_INITBILL_ENTRY ADD (FSTARTINSTDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_ENTRY' AND KSQL_COL_NAME ='FLOANRATEADJUSTTYPE')
 ALTER TABLE T_CFM_INITBILL_ENTRY ADD (FLOANRATEADJUSTTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_ENTRY' AND KSQL_COL_NAME ='FCONTRACTNO')
 ALTER TABLE T_CFM_INITBILL_ENTRY ADD (FCONTRACTNO NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_ENTRY' AND KSQL_COL_NAME ='FSHORTNAME')
 ALTER TABLE T_CFM_INITBILL_ENTRY ADD (FSHORTNAME NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_ENTRY' AND KSQL_COL_NAME ='FCONTRACTNAME')
 ALTER TABLE T_CFM_INITBILL_ENTRY ADD (FCONTRACTNAME NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_ENTRY' AND KSQL_COL_NAME ='FPUBLISHPRICE')
 ALTER TABLE T_CFM_INITBILL_ENTRY ADD (FPUBLISHPRICE DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_ENTRY' AND KSQL_COL_NAME ='FTICKETAMT')
 ALTER TABLE T_CFM_INITBILL_ENTRY ADD (FTICKETAMT DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_ENTRY' AND KSQL_COL_NAME ='FINTERESTTYPE')
 ALTER TABLE T_CFM_INITBILL_ENTRY ADD (FINTERESTTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_ENTRY' AND KSQL_COL_NAME ='FREFERENCERATEID')
 ALTER TABLE T_CFM_INITBILL_ENTRY ADD (FREFERENCERATEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_ENTRY' AND KSQL_COL_NAME ='FREPAYMENTWAY')
 ALTER TABLE T_CFM_INITBILL_ENTRY ADD (FREPAYMENTWAY NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_ENTRY' AND KSQL_COL_NAME ='FSETTLEINTMODE')
 ALTER TABLE T_CFM_INITBILL_ENTRY ADD (FSETTLEINTMODE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_ENTRY' AND KSQL_COL_NAME ='FBASIS')
 ALTER TABLE T_CFM_INITBILL_ENTRY ADD (FBASIS NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_ENTRY' AND KSQL_COL_NAME ='FSTAGEPLANID')
 ALTER TABLE T_CFM_INITBILL_ENTRY ADD (FSTAGEPLANID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_ENTRY' AND KSQL_COL_NAME ='FINTERESTSETTLEDPLANID')
 ALTER TABLE T_CFM_INITBILL_ENTRY ADD (FINTERESTSETTLEDPLANID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_ENTRY' AND KSQL_COL_NAME ='FRATINGAGENCYID')
 ALTER TABLE T_CFM_INITBILL_ENTRY ADD (FRATINGAGENCYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_ENTRY' AND KSQL_COL_NAME ='FRATINGSCALE')
 ALTER TABLE T_CFM_INITBILL_ENTRY ADD (FRATINGSCALE NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_ENTRY' AND KSQL_COL_NAME ='FCUSTODIANFINORGID')
 ALTER TABLE T_CFM_INITBILL_ENTRY ADD (FCUSTODIANFINORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_ENTRY' AND KSQL_COL_NAME ='FUNDERWRITEMETHOD')
 ALTER TABLE T_CFM_INITBILL_ENTRY ADD (FUNDERWRITEMETHOD NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_ENTRY' AND KSQL_COL_NAME ='FLOANUSEID')
 ALTER TABLE T_CFM_INITBILL_ENTRY ADD (FLOANUSEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FACCOUNTBANKID')
 ALTER TABLE T_CFM_INITBILL_E ADD (FACCOUNTBANKID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FTEXTCREDITOR')
 ALTER TABLE T_CFM_INITBILL_E ADD (FTEXTCREDITOR NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FTEXTDEBTOR')
 ALTER TABLE T_CFM_INITBILL_E ADD (FTEXTDEBTOR NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FCREDITORGID')
 ALTER TABLE T_CFM_INITBILL_E ADD (FCREDITORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FCREDITORTYPE')
 ALTER TABLE T_CFM_INITBILL_E ADD (FCREDITORTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FCREDITORID')
 ALTER TABLE T_CFM_INITBILL_E ADD (FCREDITORID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FCONTRACTNO')
 ALTER TABLE T_CFM_INITBILL_E ADD (FCONTRACTNO NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FCONTRACTNAME')
 ALTER TABLE T_CFM_INITBILL_E ADD (FCONTRACTNAME NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FTERM')
 ALTER TABLE T_CFM_INITBILL_E ADD (FTERM NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FREFERRATEID')
 ALTER TABLE T_CFM_INITBILL_E ADD (FREFERRATEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FRATEADJUSTCYCLETYPE')
 ALTER TABLE T_CFM_INITBILL_E ADD (FRATEADJUSTCYCLETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FSETTLEINTMODE')
 ALTER TABLE T_CFM_INITBILL_E ADD (FSETTLEINTMODE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FBASIS')
 ALTER TABLE T_CFM_INITBILL_E ADD (FBASIS NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FEXREFERENCERATEID')
 ALTER TABLE T_CFM_INITBILL_E ADD (FEXREFERENCERATEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FEXRATEADJUSTCYCLETYPE')
 ALTER TABLE T_CFM_INITBILL_E ADD (FEXRATEADJUSTCYCLETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FDEBTORTYPE')
 ALTER TABLE T_CFM_INITBILL_E ADD (FDEBTORTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FDEBTORID')
 ALTER TABLE T_CFM_INITBILL_E ADD (FDEBTORID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FLOANERACCTBANKID')
 ALTER TABLE T_CFM_INITBILL_E ADD (FLOANERACCTBANKID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FBONDTYPE')
 ALTER TABLE T_CFM_INITBILL_E ADD (FBONDTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FSHORTNAME')
 ALTER TABLE T_CFM_INITBILL_E ADD (FSHORTNAME NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FISSUEMARKETID')
 ALTER TABLE T_CFM_INITBILL_E ADD (FISSUEMARKETID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FISSUEMETHODID')
 ALTER TABLE T_CFM_INITBILL_E ADD (FISSUEMETHODID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FRATINGAGENCYID')
 ALTER TABLE T_CFM_INITBILL_E ADD (FRATINGAGENCYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FRATINGSCALE')
 ALTER TABLE T_CFM_INITBILL_E ADD (FRATINGSCALE NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FCUSTODIANFINORGID')
 ALTER TABLE T_CFM_INITBILL_E ADD (FCUSTODIANFINORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME ='FUNDERWRITEMETHOD')
 ALTER TABLE T_CFM_INITBILL_E ADD (FUNDERWRITEMETHOD NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_INITBILL_UW')
 CREATE TABLE T_CFM_INITBILL_UW (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUNDERWRITERTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FUNDERWRITERID BIGINT DEFAULT 0 NOT NULL,
FUNDERWRITERATIO DECIMAL(19,6) DEFAULT 0 NOT NULL,
FUNDERWRITEAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISBOOKRUNNER CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_F' AND KSQL_COL_NAME ='FBIZDEALNO')
 ALTER TABLE T_CFM_LOANCONTRACTBILL_F ADD (FBIZDEALNO NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_F' AND KSQL_COL_NAME ='FSETTLECENTERID')
 ALTER TABLE T_CFM_LOANCONTRACTBILL_F ADD (FSETTLECENTERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_T' AND KSQL_COL_NAME ='FSETTLECENTERID')
 ALTER TABLE T_CFM_LOANBILL_T ADD (FSETTLECENTERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_T' AND KSQL_COL_NAME ='FBIZDEALNO')
 ALTER TABLE T_CFM_LOANBILL_T ADD (FBIZDEALNO NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_REPAYMENTBILL_E' AND KSQL_COL_NAME ='FBIZDEALNO')
 ALTER TABLE T_CFM_REPAYMENTBILL_E ADD (FBIZDEALNO NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_REPAYMENTBILL_E' AND KSQL_COL_NAME ='FSETTLECENTERID')
 ALTER TABLE T_CFM_REPAYMENTBILL_E ADD (FSETTLECENTERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANAPPLY_L' AND KSQL_COL_NAME ='FBITBACKINFO')
 ALTER TABLE T_CFM_LOANAPPLY_L ADD (FBITBACKINFO NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INTERESTBILL_E' AND KSQL_COL_NAME ='FSETTLECENTERID')
 ALTER TABLE T_CFM_INTERESTBILL_E ADD (FSETTLECENTERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INTERESTBILL_E' AND KSQL_COL_NAME ='FBIZDEALNO')
 ALTER TABLE T_CFM_INTERESTBILL_E ADD (FBIZDEALNO NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INTERESTBILL_E' AND KSQL_COL_NAME ='FSETTLESTATUS')
 ALTER TABLE T_CFM_INTERESTBILL_E ADD (FSETTLESTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INTERESTBILL_E' AND KSQL_COL_NAME ='FBATCHNO')
 ALTER TABLE T_CFM_INTERESTBILL_E ADD (FBATCHNO NVARCHAR(80) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INTERESTBILL_E' AND KSQL_COL_NAME ='FISCYCLELOAN')
 ALTER TABLE T_CFM_INTERESTBILL_E ADD (FISCYCLELOAN CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_REPAYMENTBILL_E' AND KSQL_COL_NAME ='FISCYCLELOAN')
 ALTER TABLE T_CFM_REPAYMENTBILL_E ADD (FISCYCLELOAN CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_T' AND KSQL_COL_NAME ='FISCYCLELOAN')
 ALTER TABLE T_CFM_LOANBILL_T ADD (FISCYCLELOAN CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_F' AND KSQL_COL_NAME ='FISCYCLELOAN')
 ALTER TABLE T_CFM_LOANCONTRACTBILL_F ADD (FISCYCLELOAN CHAR(1) DEFAULT '0' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CFM_table.sql **/
