﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_INITBILL') 
 CREATE TABLE T_CFM_INITBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FBIZDATE DATETIME,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FFINPRODUCTID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLENDERNATURE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FLOANORGID BIGINT DEFAULT 0 NOT NULL,
FCLIENTORGID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FDRAWWAY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FLOANUSEID BIGINT DEFAULT 0 NOT NULL,
FINTERESTTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FINTERESTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONVERSIONDAYS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FINTERESTSETTLEDPLANID BIGINT DEFAULT 0 NOT NULL,
FFLOATINGRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPAYMENTWAY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTAGEPLANID BIGINT DEFAULT 0 NOT NULL,
FISLIMITCLAUSE CHAR(1) DEFAULT '0' NOT NULL,
FISCLIENTLOAN CHAR(1) DEFAULT '0' NOT NULL,
FRENEWALDATE DATETIME,
FINITSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_INITBILL_L') 
 CREATE TABLE T_CFM_INITBILL_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLIMITCLAUSEEXPLAIN NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_INITBILL_SENTRY') 
 CREATE TABLE T_CFM_INITBILL_SENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FREPAYMENTSCSEQ INT DEFAULT 0 NOT NULL,
FEXREPAYMENTDATE DATETIME,
FEXDRAWAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREPAYMENTDESC NCLOB,
FREPAYMENTDESC_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_INITBILL_ENTRY') 
 CREATE TABLE T_CFM_INITBILL_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDRAWAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOADDATE DATETIME,
FRECEIVEDATE DATETIME,
FEXPIREDATE DATETIME,
FLOANRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOADACCTBANKID BIGINT DEFAULT 0 NOT NULL,
FCREDITLIMITID BIGINT DEFAULT 0 NOT NULL,
FCREDITAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDISCREDITAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCREDITRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPAYINTERESTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FENDINSTDATE DATETIME,
FENDPREINSTDATE DATETIME,
FLOANEXPIREDATE DATETIME,
FISLOANEXTEND CHAR(1) DEFAULT '0' NOT NULL,
FLOANBILLID BIGINT DEFAULT 0 NOT NULL,
FLOANBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FREPAYDATE DATETIME,
FCREDITCURRENCYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL' AND KSQL_COL_NAME ='FISINIT') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL ADD (FISINIT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL' AND KSQL_COL_NAME ='FINITID') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL ADD (FINITID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_EXTENDBILL' AND KSQL_COL_NAME ='FISINIT') 
 ALTER TABLE T_CFM_EXTENDBILL ADD (FISINIT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_REPAYMENTBILL' AND KSQL_COL_NAME ='FISINIT') 
 ALTER TABLE T_CFM_REPAYMENTBILL ADD (FISINIT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INTERESTBILL' AND KSQL_COL_NAME ='FISINIT') 
 ALTER TABLE T_CFM_INTERESTBILL ADD (FISINIT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL' AND KSQL_COL_NAME ='FISINIT') 
 ALTER TABLE T_CFM_LOANBILL ADD (FISINIT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL' AND KSQL_COL_NAME ='FINITENDPREINSTDATE') 
 ALTER TABLE T_CFM_LOANBILL ADD (FINITENDPREINSTDATE DATETIME );
 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_CFM_LOANBILL', 'FTMPID', 'NULL', 'NULL', '1001', 'NULL';

 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_CFM_LOANBILL', 'FTMPTYPE', 'NULL', 'NULL', '1001', 'NULL';


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CFM_table.sql **/
