﻿/**Begin D:\PDM\PDM_UPGRADE\PDM1\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_FINANCINGVARIETIES' AND KSQL_COL_NAME IN ('FPERPETUALBOND')) 
 ALTER TABLE T_CFM_FINANCINGVARIETIES ADD (FPERPETUALBOND CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_T' AND KSQL_COL_NAME IN ('FRATECEIL')) 
 ALTER TABLE T_CFM_LOANBILL_T ADD (FRATECEIL DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_T' AND KSQL_COL_NAME IN ('FRATEFLOOR')) 
 ALTER TABLE T_CFM_LOANBILL_T ADD (FRATEFLOOR DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_T' AND KSQL_COL_NAME IN ('FISSETPLUSPOINT')) 
 ALTER TABLE T_CFM_LOANBILL_T ADD (FISSETPLUSPOINT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_T' AND KSQL_COL_NAME IN ('FRATEJUMPCYCLEKEY')) 
 ALTER TABLE T_CFM_LOANBILL_T ADD (FRATEJUMPCYCLEKEY NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_T' AND KSQL_COL_NAME IN ('FRATEJUMPCYCLEVAL')) 
 ALTER TABLE T_CFM_LOANBILL_T ADD (FRATEJUMPCYCLEVAL INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_T' AND KSQL_COL_NAME IN ('FRATEJUMPPERPOINT')) 
 ALTER TABLE T_CFM_LOANBILL_T ADD (FRATEJUMPPERPOINT DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANBILL_BOND_ER') 
 CREATE TABLE T_CFM_LOANBILL_BOND_ER (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEFFECTDATE_ER DATETIME,
FPLUSPOINT_ER DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDESC_ER NVARCHAR(80) DEFAULT ' ' NOT NULL
);



/**End D:\PDM\PDM_UPGRADE\PDM1\CFM_table.sql **/

/**Begin C:\Users\rd_zhixiong_w\Downloads\PDM_UPGRADE\PDM1\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_PRODUCTFACTORY' AND KSQL_COL_NAME IN ('FLOANRETURNINFO'))
 ALTER TABLE T_CFM_PRODUCTFACTORY ADD (FLOANRETURNINFO CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_F' AND KSQL_COL_NAME IN ('FISUNIFYLOANRETURN'))
 ALTER TABLE T_CFM_LOANCONTRACTBILL_F ADD (FISUNIFYLOANRETURN CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_UNIFY_LOAN_RETURN')
 CREATE TABLE T_CFM_UNIFY_LOAN_RETURN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FLOANBILLID BIGINT DEFAULT 0 NOT NULL,
FUSEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End C:\Users\rd_zhixiong_w\Downloads\PDM_UPGRADE\PDM1\CFM_table.sql **/

