/**Begin D:\PDM_UPGRADE\PDM1\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INSCHEME' AND KSQL_COL_NAME IN ('FDRAWMONTHSETTLE')) 
 ALTER TABLE T_CFM_INSCHEME ADD (FDRAWMONTHSETTLE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INSCHEME' AND KSQL_COL_NAME IN ('FOFFETDAY')) 
 ALTER TABLE T_CFM_INSCHEME ADD (FOFFETDAY INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_PAYMENTBYINSTALMENT' AND KSQL_COL_NAME IN ('FDRAWMONTHSETTLE')) 
 ALTER TABLE T_CFM_PAYMENTBYINSTALMENT ADD (FDRAWMONTHSETTLE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_PAYMENTBYINSTALMENT' AND KSQL_COL_NAME IN ('FOFFETDAY')) 
 ALTER TABLE T_CFM_PAYMENTBYINSTALMENT ADD (FOFFETDAY INT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_REPAYMENTBILL_E' AND KSQL_COL_NAME ='FREPAYAPPLYID')
 ALTER TABLE T_CFM_REPAYMENTBILL_E ADD (FREPAYAPPLYID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_REPAYAPPLYBILL')
 CREATE TABLE T_CFM_REPAYAPPLYBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FREPAYWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPREREPAYDATE DATETIME,
FLOANCONTRACTBILLID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTDRAWAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FNOTREPAYAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISRATIO CHAR(1) DEFAULT '0' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FINSTAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTOTALAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FBUSINESSSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOANTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDATASOURCE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_REPAYAPPLYBILL_E')
 CREATE TABLE T_CFM_REPAYAPPLYBILL_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FLOANBILLID BIGINT DEFAULT 0 NOT NULL,
FDRAWAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FNOTREPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISPAYINST CHAR(1) DEFAULT '0' NOT NULL,
FPREINTAMT DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_REPAYAPPLYBILL_L')
 CREATE TABLE T_CFM_REPAYAPPLYBILL_L (
FPKID NVARCHAR(30) DEFAULT '0' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);




IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INITBILL_E' AND KSQL_COL_NAME IN ('FREGION'))
 ALTER TABLE T_CFM_INITBILL_E ADD (FREGION NVARCHAR(30) DEFAULT ' ' NOT NULL );

/**End D:\PDM_UPGRADE\PDM1\CFM_table.sql **/
