﻿/**Begin D:\PDM\PDM_UPGRADE\PDM1\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_P' AND KSQL_COL_NAME IN ('FISUNIFYDEBIT')) 
 ALTER TABLE T_CFM_LOANBILL_P ADD (FISUNIFYDEBIT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_P' AND KSQL_COL_NAME IN ('FISUNIFYCREDIT')) 
 ALTER TABLE T_CFM_LOANBILL_P ADD (FISUNIFYCREDIT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_P' AND KSQL_COL_NAME IN ('FISUNIFYLOANRETURN')) 
 ALTER TABLE T_CFM_LOANBILL_P ADD (FISUNIFYLOANRETURN CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOAN_UNIFROM_ENTRY') 
 CREATE TABLE T_CFM_LOAN_UNIFROM_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFROMTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOANBILL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOANBILLID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUSEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSELOANAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOTPAYINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRATETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREFERRATE BIGINT DEFAULT 0 NOT NULL,
FFLOATADDPOINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNEWLOANRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTINTDATE DATETIME,
FEXPIREDATE DATETIME,
FTERM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FGENERALRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOAN_UNIUSE_ENTRY') 
 CREATE TABLE T_CFM_LOAN_UNIUSE_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUSETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOANBILL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOANBILLID BIGINT DEFAULT 0 NOT NULL,
FUSEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSELOANAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOTPAYINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEBITORG BIGINT DEFAULT 0 NOT NULL,
FNEWLOANRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTINTDATE DATETIME,
FEXPIREDATE DATETIME,
FTERM NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\PDM\PDM_UPGRADE\PDM1\CFM_table.sql **/
