﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CFM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_CFM_FINANCINGVARIETIES_L', 'T_CFM_FINANCINGVARIETIES_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_FINANCINGVARIETIES_L') CREATE INDEX IDX_T_CFM_FINANCINGVARIETIES_L ON T_CFM_FINANCINGVARIETIES_L ( FID );


 EXEC P_ALTERPK 'PK_T_CFM_INSCHEME', 'T_CFM_INSCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_INSCHEME_SE') CREATE INDEX IDX_T_CFM_INSCHEME_SE ON T_CFM_INSCHEME ( FSTATUS ,FENABLE );


 EXEC P_ALTERPK 'PK_T_CFM_INSCHEME_L', 'T_CFM_INSCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_INSCHEME_L') CREATE INDEX IDX_T_CFM_INSCHEME_L ON T_CFM_INSCHEME_L ( FID );


 EXEC P_ALTERPK 'PK_T_CFM_FINANCINGVARIETIES', 'T_CFM_FINANCINGVARIETIES', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_FINVARIETIES_SE') CREATE INDEX IDX_T_CFM_FINVARIETIES_SE ON T_CFM_FINANCINGVARIETIES ( FSTATUS ,FENABLE );


 EXEC P_ALTERPK 'PK_T_CFM_PAYMENTBYINSTALMENT', 'T_CFM_PAYMENTBYINSTALMENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_PBYINSTALMENT_SE') CREATE INDEX IDX_T_CFM_PBYINSTALMENT_SE ON T_CFM_PAYMENTBYINSTALMENT ( FSTATUS ,FENABLE );


 EXEC P_ALTERPK 'PK_T_CFM_PAYMENTBYINSTALMENT_L', 'T_CFM_PAYMENTBYINSTALMENT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_PBYINSTALMENT_L') CREATE INDEX IDX_T_CFM_PBYINSTALMENT_L ON T_CFM_PAYMENTBYINSTALMENT_L ( FID );


 EXEC P_ALTERPK 'PK_T_CFM_EXTENDBILL', 'T_CFM_EXTENDBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_EXTENDBILL_BNS') CREATE INDEX IDX_T_CFM_EXTENDBILL_BNS ON T_CFM_EXTENDBILL ( FBILLNO ,FBILLSTATUS );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_EXTENDBILL_SID') CREATE INDEX IDX_T_CFM_EXTENDBILL_SID ON T_CFM_EXTENDBILL ( FSOURCEBILLID );


 EXEC P_ALTERPK 'PK_T_CFM_EXTENDBILL_ENTRY', 'T_CFM_EXTENDBILL_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_EXTENDBILL_ENTRY') CREATE INDEX IDX_T_CFM_EXTENDBILL_ENTRY ON T_CFM_EXTENDBILL_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_CFM_EXTENDBILL_L', 'T_CFM_EXTENDBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_EXTENDBILL_L') CREATE INDEX IDX_T_CFM_EXTENDBILL_L ON T_CFM_EXTENDBILL_L ( FID );


 EXEC P_ALTERPK 'PK_T_CFM_EXTENDBILL_LK', 'T_CFM_EXTENDBILL_LK', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_EXTENDBILL_LK') CREATE INDEX IDX_T_CFM_EXTENDBILL_LK ON T_CFM_EXTENDBILL_LK ( FID );


 EXEC P_ALTERPK 'PK_T_CFM_EXTENDBILL_TC', 'T_CFM_EXTENDBILL_TC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_EXTENDBILL_TC') CREATE INDEX IDX_T_CFM_EXTENDBILL_TC ON T_CFM_EXTENDBILL_TC ( FTBILLID );


 EXEC P_ALTERPK 'PK_T_CFM_EXTENDBILL_WB', 'T_CFM_EXTENDBILL_WB', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_EXTENDBILL_WB') CREATE INDEX IDX_T_CFM_EXTENDBILL_WB ON T_CFM_EXTENDBILL_WB ( FID );


 EXEC P_ALTERPK 'PK_T_CFM_INTERESTBILL_ENTRYS', 'T_CFM_INTERESTBILL_ENTRYS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_INTERESTBILL_ENTRYS') CREATE INDEX IDX_T_CFM_INTERESTBILL_ENTRYS ON T_CFM_INTERESTBILL_ENTRYS ( FID );


 EXEC P_ALTERPK 'PK_T_CFM_LOANBILL', 'T_CFM_LOANBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_LOANBILL_BD') CREATE INDEX IDX_T_CFM_LOANBILL_BD ON T_CFM_LOANBILL ( FBIZDATE );


 EXEC P_ALTERPK 'PK_T_CFM_LOANBILL_IC_ENTRY', 'T_CFM_LOANBILL_IC_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_LOANBILL_IC_ENTRY') CREATE INDEX IDX_T_CFM_LOANBILL_IC_ENTRY ON T_CFM_LOANBILL_IC_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_CFM_LOANBILL_IC_SENTRY', 'T_CFM_LOANBILL_IC_SENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_LOANBILL_IC_SENTRY') CREATE INDEX IDX_T_CFM_LOANBILL_IC_SENTRY ON T_CFM_LOANBILL_IC_SENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_CFM_LOANBILL_L', 'T_CFM_LOANBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_LOANBILL_L') CREATE INDEX IDX_T_CFM_LOANBILL_L ON T_CFM_LOANBILL_L ( FID );


 EXEC P_ALTERPK 'PK_T_CFM_LOANBILL_LK', 'T_CFM_LOANBILL_LK', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_LOANBILL_LK') CREATE INDEX IDX_T_CFM_LOANBILL_LK ON T_CFM_LOANBILL_LK ( FID );


 EXEC P_ALTERPK 'PK_T_CFM_LOANBILL_TC', 'T_CFM_LOANBILL_TC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_LOANBILL_TC') CREATE INDEX IDX_T_CFM_LOANBILL_TC ON T_CFM_LOANBILL_TC ( FTBILLID );


 EXEC P_ALTERPK 'PK_T_CFM_LOANBILL_WB', 'T_CFM_LOANBILL_WB', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_LOANBILL_WB') CREATE INDEX IDX_T_CFM_LOANBILL_WB ON T_CFM_LOANBILL_WB ( FID );


 EXEC P_ALTERPK 'PK_T_CFM_LOANCONTRACTBILL', 'T_CFM_LOANCONTRACTBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_LOANCONTRACTBILL_BNS') CREATE INDEX IDX_T_CFM_LOANCONTRACTBILL_BNS ON T_CFM_LOANCONTRACTBILL ( FBILLNO ,FBILLSTATUS );


 EXEC P_ALTERPK 'PK_T_CFM_LOANCONTRACTBILL_L', 'T_CFM_LOANCONTRACTBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_LOANCONTRACTBILL_L') CREATE INDEX IDX_T_CFM_LOANCONTRACTBILL_L ON T_CFM_LOANCONTRACTBILL_L ( FID );


 EXEC P_ALTERPK 'PK_T_CFM_REPAYMENTBILL', 'T_CFM_REPAYMENTBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_REPAYMENTBILL_BNS') CREATE INDEX IDX_T_CFM_REPAYMENTBILL_BNS ON T_CFM_REPAYMENTBILL ( FBILLNO ,FBILLSTATUS );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_REPAYMENTBILL_SID') CREATE INDEX IDX_T_CFM_REPAYMENTBILL_SID ON T_CFM_REPAYMENTBILL ( FSOURCEBILLID );


 EXEC P_ALTERPK 'PK_T_CFM_REPAYMENTBILL_L', 'T_CFM_REPAYMENTBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_REPAYMENTBILL_L') CREATE INDEX IDX_T_CFM_REPAYMENTBILL_L ON T_CFM_REPAYMENTBILL_L ( FID );


 EXEC P_ALTERPK 'PK_T_CFM_REPAYMENTBILL_TC', 'T_CFM_REPAYMENTBILL_TC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_REPAYMENTBILL_TC') CREATE INDEX IDX_T_CFM_REPAYMENTBILL_TC ON T_CFM_REPAYMENTBILL_TC ( FTBILLID );


 EXEC P_ALTERPK 'PK_T_CFM_REPAYMENTBILL_WB', 'T_CFM_REPAYMENTBILL_WB', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_REPAYMENTBILL_WB') CREATE INDEX IDX_T_CFM_REPAYMENTBILL_WB ON T_CFM_REPAYMENTBILL_WB ( FID );


 EXEC P_ALTERPK 'PK_T_CFM_INTERESTBILL_L', 'T_CFM_INTERESTBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CFM_INTERESTBILL_L') CREATE INDEX IDX_CFM_INTERESTBILL_L ON T_CFM_INTERESTBILL_L ( FID );


 EXEC P_ALTERPK 'PK_T_CFM_REPAYMENTBILL_LK', 'T_CFM_REPAYMENTBILL_LK', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_REPAYMENTBILL_LK') CREATE INDEX IDX_T_CFM_REPAYMENTBILL_LK ON T_CFM_REPAYMENTBILL_LK ( FID );


 EXEC P_ALTERPK 'PK_T_CFM_LOANBILL_RP_ENTRY', 'T_CFM_LOANBILL_RP_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CFM_LOANBILL_RP_ENTRY') CREATE INDEX IDX_T_CFM_LOANBILL_RP_ENTRY ON T_CFM_LOANBILL_RP_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_CFM_INTERESTBILL', 'T_CFM_INTERESTBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CFM_INTERESTBILL_BND') CREATE INDEX IDX_CFM_INTERESTBILL_BND ON T_CFM_INTERESTBILL ( FBILLNO ,FBIZDATE );


 EXEC P_ALTERPK 'PK_T_CFM_INTERESTBILL_LK', 'T_CFM_INTERESTBILL_LK', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CFM_INTERESTBILL_LK') CREATE INDEX IDX_CFM_INTERESTBILL_LK ON T_CFM_INTERESTBILL_LK ( FID );


 EXEC P_ALTERPK 'PK_T_CFM_INTERESTBILL_TC', 'T_CFM_INTERESTBILL_TC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CFM_INTERESTBILL_TC') CREATE INDEX IDX_CFM_INTERESTBILL_TC ON T_CFM_INTERESTBILL_TC ( FTBILLID );


 EXEC P_ALTERPK 'PK_T_CFM_INTERESTBILL_WB', 'T_CFM_INTERESTBILL_WB', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CFM_INTERESTBILL_WB') CREATE INDEX IDX_CFM_INTERESTBILL_WB ON T_CFM_INTERESTBILL_WB ( FID );


 EXEC P_ALTERPK 'PK_CFM_INTERESTBILL_ENTRYS_LK', 'T_CFM_INTERESTBILL_ENTRYS_LK', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CFM_IB_ENTRYS_LK') CREATE INDEX IDX_CFM_IB_ENTRYS_LK ON T_CFM_INTERESTBILL_ENTRYS_LK ( FENTRYID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CFM_constraint.sql **/
