﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_FINANCINGVARIETIES_L') 
 CREATE TABLE T_CFM_FINANCINGVARIETIES_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_INSCHEME') 
 CREATE TABLE T_CFM_INSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FINTERESTSTPD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FINTERESTSTMH NVARCHAR(30) DEFAULT ' ' NOT NULL,
FINTERESTSTDAY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FINSTCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRESET CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_INSCHEME_L') 
 CREATE TABLE T_CFM_INSCHEME_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_FINANCINGVARIETIES') 
 CREATE TABLE T_CFM_FINANCINGVARIETIES (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT '1' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FFINSOURCE VARCHAR(30) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_PAYMENTBYINSTALMENT') 
 CREATE TABLE T_CFM_PAYMENTBYINSTALMENT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FPERIOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMONTH NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDAY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FTEXTAREAFIELD NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRESET CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_PAYMENTBYINSTALMENT_L') 
 CREATE TABLE T_CFM_PAYMENTBYINSTALMENT_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_EXTENDBILL') 
 CREATE TABLE T_CFM_EXTENDBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FBIZDATE DATETIME,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FFINPRODUCTID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLENDERNATURE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FLOANORGID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONTRACTBIZDATE DATETIME,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FDRAWAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FNOTREPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPROTOCOLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FRENEWALEXPIREDATE DATETIME,
FRENEWALINTERESTTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FRENEWALINTERESTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_EXTENDBILL_ENTRY') 
 CREATE TABLE T_CFM_EXTENDBILL_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDRAWBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISRENEWAL CHAR(1) DEFAULT '0' NOT NULL,
FLRENEWALEXPIREDATE DATETIME,
FDRAWBILLID BIGINT DEFAULT 0 NOT NULL,
FDRAWCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FLDRAWAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOANDATE DATETIME,
FLOANRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXPIREDATE DATETIME,
FREPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLNOTREPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEXTENDAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_EXTENDBILL_L') 
 CREATE TABLE T_CFM_EXTENDBILL_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(250) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_EXTENDBILL_LK') 
 CREATE TABLE T_CFM_EXTENDBILL_LK (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_EXTENDBILL_TC') 
 CREATE TABLE T_CFM_EXTENDBILL_TC (
FID BIGINT DEFAULT 0 NOT NULL,
FTBILLID BIGINT DEFAULT 0 NOT NULL,
FTTABLEID BIGINT DEFAULT 0 NOT NULL,
FTID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_EXTENDBILL_WB') 
 CREATE TABLE T_CFM_EXTENDBILL_WB (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRULEVERID BIGINT DEFAULT 0 NOT NULL,
FRULEITEMID BIGINT DEFAULT 0 NOT NULL,
FOPERATE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FWRITEVALUE DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_INTERESTBILL_ENTRYS') 
 CREATE TABLE T_CFM_INTERESTBILL_ENTRYS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FINSTENDDATE DATETIME,
FINSTSTARTDATE DATETIME,
FINSTDAYS BIGINT DEFAULT 0 NOT NULL,
FINSTPRINCIPALAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FRATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FRATETRANDAYS BIGINT DEFAULT 0 NOT NULL,
FINSTAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FINSTCTG NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANBILL') 
 CREATE TABLE T_CFM_LOANBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FBIZDATE DATETIME,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FFINPRODUCTID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLENDERMATURE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FLOANORGID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTBANKID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONTRACTBIZDATE DATETIME,
FREPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FNOTREPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCALCULATERATEAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDRAWWAY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDRAWAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEXPIREDATE DATETIME,
FCREDITLIMITID BIGINT DEFAULT 0 NOT NULL,
FPAYINTERESTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FOVERDUEDATE BIGINT DEFAULT 0 NOT NULL,
FRENEWALEXPIREDATE DATETIME,
FSTAGEPLANID BIGINT DEFAULT 0 NOT NULL,
FDRAWTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FRECEIVEDATE DATETIME,
FINTERESTTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FINTERESTSETTLEDPLANID BIGINT DEFAULT 0 NOT NULL,
FREPAYMENTWAY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREDITAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDISCREDITAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOANRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDINSTDATE DATETIME,
FTMPID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FTMPTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPAYEEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANBILL_IC_ENTRY') 
 CREATE TABLE T_CFM_LOANBILL_IC_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINTERESTSEQ NVARCHAR(30) DEFAULT ' ' NOT NULL,
FINTERESDATE DATETIME,
FINTERESTCALAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANBILL_IC_SENTRY') 
 CREATE TABLE T_CFM_LOANBILL_IC_SENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINTERESTSTARTDATE DATETIME,
FINTERESTENDDATE DATETIME,
FINTERESTDATE INT DEFAULT 0 NOT NULL,
FINTERESTBALANCE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FINTERESTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTERESTDAYS INT DEFAULT 0 NOT NULL,
FINTERESTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FINTERESTWAY NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANBILL_L') 
 CREATE TABLE T_CFM_LOANBILL_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANBILL_LK') 
 CREATE TABLE T_CFM_LOANBILL_LK (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANBILL_TC') 
 CREATE TABLE T_CFM_LOANBILL_TC (
FID BIGINT DEFAULT 0 NOT NULL,
FTBILLID BIGINT DEFAULT 0 NOT NULL,
FTTABLEID BIGINT DEFAULT 0 NOT NULL,
FTID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANBILL_WB') 
 CREATE TABLE T_CFM_LOANBILL_WB (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRULEVERID BIGINT DEFAULT 0 NOT NULL,
FRULEITEMID BIGINT DEFAULT 0 NOT NULL,
FOPERATE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FWRITEVALUE DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANCONTRACTBILL') 
 CREATE TABLE T_CFM_LOANCONTRACTBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FBIZDATE DATETIME,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FFINPRODUCTID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLENDERNATURE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FLOANORGID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTBANKID BIGINT DEFAULT 0 NOT NULL,
FCLIENTORGID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FDRAWWAY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FLOANUSEID BIGINT DEFAULT 0 NOT NULL,
FINTERESTTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FINTERESTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONVERSIONDAYS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FINTERESTSETTLEDPLANID BIGINT DEFAULT 0 NOT NULL,
FFLOATINGRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPAYMENTWAY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTAGEPLANID BIGINT DEFAULT 0 NOT NULL,
FISLIMITCLAUSE CHAR(1) DEFAULT '0' NOT NULL,
FCONTRACTSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDRAWAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FNOTDRAWAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FNOTREPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPAYINTERESTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FNOTPAYINTERESTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISOVERDUE CHAR(1) DEFAULT '0' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FISCLIENTLOAN CHAR(1) DEFAULT '0' NOT NULL,
FGUARANTEE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREDITLIMITID BIGINT DEFAULT 0 NOT NULL,
FEXTENDSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FISEXTEND CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANCONTRACTBILL_L') 
 CREATE TABLE T_CFM_LOANCONTRACTBILL_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOTHEREXPLAIN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLIMITCLAUSEEXPLAIN NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_REPAYMENTBILL') 
 CREATE TABLE T_CFM_REPAYMENTBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FBIZDATE DATETIME,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOCAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FFINPRODUCTID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLENDERNATURE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FLOANORGID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTBANKID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONTRACTBIZDATE DATETIME,
FDRAWAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FNOTREPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOANDATE DATETIME,
FEXPIREDATE DATETIME,
FRENEWALEXPIREDATE DATETIME,
FSTAGEPLANID BIGINT DEFAULT 0 NOT NULL,
FLOANBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FREPAYMENTWAY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FISPAYINTEREST CHAR(1) DEFAULT '0' NOT NULL,
FPREDICTINTEREST DECIMAL(19,6) DEFAULT 0 NOT NULL,
FACTINTEREST DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISVOUCHER CHAR(1) DEFAULT '0' NOT NULL,
FPAYBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_REPAYMENTBILL_L') 
 CREATE TABLE T_CFM_REPAYMENTBILL_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_REPAYMENTBILL_TC') 
 CREATE TABLE T_CFM_REPAYMENTBILL_TC (
FID BIGINT DEFAULT 0 NOT NULL,
FTBILLID BIGINT DEFAULT 0 NOT NULL,
FTTABLEID BIGINT DEFAULT 0 NOT NULL,
FTID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_REPAYMENTBILL_WB') 
 CREATE TABLE T_CFM_REPAYMENTBILL_WB (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRULEVERID BIGINT DEFAULT 0 NOT NULL,
FRULEITEMID BIGINT DEFAULT 0 NOT NULL,
FOPERATE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FWRITEVALUE DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_INTERESTBILL_L') 
 CREATE TABLE T_CFM_INTERESTBILL_L (
FPKID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_REPAYMENTBILL_LK') 
 CREATE TABLE T_CFM_REPAYMENTBILL_LK (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANBILL_RP_ENTRY') 
 CREATE TABLE T_CFM_LOANBILL_RP_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FREPAYMENTSCSEQ INT DEFAULT 0 NOT NULL,
FEXREPAYMENTDATE DATETIME,
FENOTREPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREPAYMENTDESC NCLOB,
FREPAYMENTDESC_TAG NCLOB,
FREPAYMENTMODIFIER BIGINT DEFAULT 0 NOT NULL,
FREPAYMENTMODIFYTIME DATETIME,
FEXDRAWAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEREPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_INTERESTBILL') 
 CREATE TABLE T_CFM_INTERESTBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FBIZDATE DATETIME,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FLOANORGID BIGINT DEFAULT 0 NOT NULL,
FLOANDATE DATETIME,
FNOTREPAYAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAFTEREXPIREDATE DATETIME,
FINSTTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FINSTSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FEXPIREDATE DATETIME,
FENDINSTDATE DATETIME,
FPREDICTINSTAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FACTUALINSTAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDRAWAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSTARTINSTDATE DATETIME,
FLOANBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONTRACTNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONTRACTBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FINSTBILLCTG NVARCHAR(80) DEFAULT ' ' NOT NULL,
FINSTBANKACCTID BIGINT DEFAULT 0 NOT NULL,
FLENDERNATURE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FREPAYMENTID BIGINT DEFAULT 0 NOT NULL,
FAFTERCHARGEINSTAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FBECHARGEINSTAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTHISCHARGEINSTAMT DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_INTERESTBILL_LK') 
 CREATE TABLE T_CFM_INTERESTBILL_LK (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_INTERESTBILL_TC') 
 CREATE TABLE T_CFM_INTERESTBILL_TC (
FID BIGINT DEFAULT 0 NOT NULL,
FTBILLID BIGINT DEFAULT 0 NOT NULL,
FTTABLEID BIGINT DEFAULT 0 NOT NULL,
FTID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_INTERESTBILL_WB') 
 CREATE TABLE T_CFM_INTERESTBILL_WB (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FRULEVERID BIGINT DEFAULT 0 NOT NULL,
FRULEITEMID BIGINT DEFAULT 0 NOT NULL,
FOPERATE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FWRITEVALUE DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_INTERESTBILL_ENTRYS_LK') 
 CREATE TABLE T_CFM_INTERESTBILL_ENTRYS_LK (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CFM_table.sql **/
