﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_ISSUEMETHOD') 
 CREATE TABLE T_CFM_ISSUEMETHOD (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_ISSUEMETHOD_L') 
 CREATE TABLE T_CFM_ISSUEMETHOD_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANCONTRACTBILL_CA') 
 CREATE TABLE T_CFM_LOANCONTRACTBILL_CA (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANCONTRACTBILL_F') 
 CREATE TABLE T_CFM_LOANCONTRACTBILL_F (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FLOANAPPLYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_L' AND KSQL_COL_NAME ='FCONTRACTNAME') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_L ADD (FCONTRACTNAME NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANAPPLY' AND KSQL_COL_NAME ='FMASTERID') 
 ALTER TABLE T_CFM_LOANAPPLY ADD (FMASTERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANAPPLY' AND KSQL_COL_NAME ='FENABLE') 
 ALTER TABLE T_CFM_LOANAPPLY ADD (FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANCONTRACTBILL_DP') 
 CREATE TABLE T_CFM_LOANCONTRACTBILL_DP (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPLANDRAWDATE DATETIME,
FPLANDRAWAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FORGID') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FCONTRACTNAME') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FCONTRACTNAME NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FISCANDEFER') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FISCANDEFER CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FISCALLINT') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FISCALLINT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FREFERRATEID') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FREFERRATEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FRATEADJUSTCYCLETYPE') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FRATEADJUSTCYCLETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FSETTLEINTMODE') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FSETTLEINTMODE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FBASIS') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FBASIS NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FPRODUCTFACTORYID') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FPRODUCTFACTORYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FDEBTORTYPE') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FDEBTORTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FDEBTORID') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FDEBTORID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FTEXTDEBTOR') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FTEXTDEBTOR NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FCREDITORID') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FCREDITORID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FTEXTCREDITOR') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FTEXTCREDITOR NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FCREDITORGID') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FCREDITORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FBONDTYPE') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FBONDTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FTERM') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FTERM NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FISSUEMARKETID') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FISSUEMARKETID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FRATINGAGENCYID') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FRATINGAGENCYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FRATINGSCALE') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FRATINGSCALE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FUNDERWRITEMETHOD') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FUNDERWRITEMETHOD NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FSHORTNAME') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FSHORTNAME NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FISSUEMETHODID') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FISSUEMETHODID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FCUSTODIANFINORGID') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FCUSTODIANFINORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANCONTRACTBILL_E' AND KSQL_COL_NAME ='FCREDITLIMITID') 
 ALTER TABLE T_CFM_LOANCONTRACTBILL_E ADD (FCREDITLIMITID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANCONTRACTBILL_UW')

CREATE TABLE T_CFM_LOANCONTRACTBILL_UW (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUNDERWRITERTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FUNDERWRITERID BIGINT DEFAULT 0 NOT NULL,
FUNDERWRITERATIO DECIMAL(19,6) DEFAULT 0 NOT NULL,
FUNDERWRITEAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISBOOKRUNNER CHAR(1) DEFAULT '0' NOT NULL
);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CFM_table.sql **/
