﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANBILL_T')
 CREATE TABLE T_CFM_LOANBILL_T (
FID BIGINT DEFAULT 0 NOT NULL,
FSHORTNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBONDTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FRATINGAGENCYID BIGINT DEFAULT 0 NOT NULL,
FRATINGSCALE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCUSTODIANFINORGID BIGINT DEFAULT 0 NOT NULL,
FUNDERWRITEMETHOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FLOANUSEID BIGINT DEFAULT 0 NOT NULL,
FISSETCONDS CHAR(1) DEFAULT '0' NOT NULL,
FISSPARKS CHAR(1) DEFAULT '0' NOT NULL,
FRECAMTCONDS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSETCONDB CHAR(1) DEFAULT '0' NOT NULL,
FISSPARKB CHAR(1) DEFAULT '0' NOT NULL,
FRECAMTCONDB NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSETCONDT CHAR(1) DEFAULT '0' NOT NULL,
FISSPARKT CHAR(1) DEFAULT '0' NOT NULL,
FADJUSTCONDT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPUBLISHPRICE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTICKETAMT DECIMAL(19,6) DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FORGID')
 ALTER TABLE T_CFM_LOANBILL_E ADD (FORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FLOANCONTRACTBILLID')
 ALTER TABLE T_CFM_LOANBILL_E ADD (FLOANCONTRACTBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FRATEADJUSTCYCLETYPE')
 ALTER TABLE T_CFM_LOANBILL_E ADD (FRATEADJUSTCYCLETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FPRODUCTFACTORYID')
 ALTER TABLE T_CFM_LOANBILL_E ADD (FPRODUCTFACTORYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FCREDITORTYPE')
 ALTER TABLE T_CFM_LOANBILL_E ADD (FCREDITORTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FDEBTORTYPE')
 ALTER TABLE T_CFM_LOANBILL_E ADD (FDEBTORTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FDEBTORID')
 ALTER TABLE T_CFM_LOANBILL_E ADD (FDEBTORID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FCREDITORID')
 ALTER TABLE T_CFM_LOANBILL_E ADD (FCREDITORID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FTEXTCREDITOR')
 ALTER TABLE T_CFM_LOANBILL_E ADD (FTEXTCREDITOR NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FTEXTDEBTOR')
 ALTER TABLE T_CFM_LOANBILL_E ADD (FTEXTDEBTOR NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FTERM')
 ALTER TABLE T_CFM_LOANBILL_E ADD (FTERM NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FCREDITORGID')
 ALTER TABLE T_CFM_LOANBILL_E ADD (FCREDITORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FREFERENCERATEID')
 ALTER TABLE T_CFM_LOANBILL_E ADD (FREFERENCERATEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FSETTLEINTMODE')
 ALTER TABLE T_CFM_LOANBILL_E ADD (FSETTLEINTMODE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FBASIS')
 ALTER TABLE T_CFM_LOANBILL_E ADD (FBASIS NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL_E' AND KSQL_COL_NAME ='FSTARTINTDATE')
 ALTER TABLE T_CFM_LOANBILL_E ADD (FSTARTINTDATE DATETIME );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANBILL_BOND_ES')
 CREATE TABLE T_CFM_LOANBILL_BOND_ES (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEXERCISEDATES DATETIME,
FEXERCISEPRICES DECIMAL(19,6) DEFAULT 0 NOT NULL,
FRECAMTES DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREMAITAMTES DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANBILL_BOND_EB')
 CREATE TABLE T_CFM_LOANBILL_BOND_EB (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEXERCISEDATEB DATETIME,
FEXERCISEPRICEB DECIMAL(19,6) DEFAULT 0 NOT NULL,
FRECAMTEB DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREMAITAMTEB DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANBILL_BOND_ET')
 CREATE TABLE T_CFM_LOANBILL_BOND_ET (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEXERCISEDATET DATETIME,
FADJUSTDIRET NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBEFOREADJUSTRATET DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAFTERADJUSTRATET DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAFTERADJUSTINTERDATET DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANBILL_BOND_W')
 CREATE TABLE T_CFM_LOANBILL_BOND_W (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUNDERWRITERTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FUNDERWRITERID BIGINT DEFAULT 0 NOT NULL,
FUNDERWRITERATIO DECIMAL(19,6) DEFAULT 0 NOT NULL,
FUNDERWRITEAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISBOOKRUNNER CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_REPAYMENTBILL' AND KSQL_COL_NAME IN ('FCREDITORGID')) 
 ALTER TABLE T_CFM_REPAYMENTBILL ADD (FCREDITORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_REPAYMENTBILL' AND KSQL_COL_NAME IN ('FCREDITORID')) 
 ALTER TABLE T_CFM_REPAYMENTBILL ADD (FCREDITORID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_REPAYMENTBILL' AND KSQL_COL_NAME IN ('FCREDITORTYPE')) 
 ALTER TABLE T_CFM_REPAYMENTBILL ADD (FCREDITORTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_REPAYMENTBILL' AND KSQL_COL_NAME IN ('FDEBTORTYPE')) 
 ALTER TABLE T_CFM_REPAYMENTBILL ADD (FDEBTORTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_REPAYMENTBILL' AND KSQL_COL_NAME IN ('FDEBTORID')) 
 ALTER TABLE T_CFM_REPAYMENTBILL ADD (FDEBTORID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_REPAYMENTBILL' AND KSQL_COL_NAME IN ('FORGID')) 
 ALTER TABLE T_CFM_REPAYMENTBILL ADD (FORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_REPAYMENTBILL_E' AND KSQL_COL_NAME IN ('FTEXTDEBTOR')) 
 ALTER TABLE T_CFM_REPAYMENTBILL_E ADD (FTEXTDEBTOR NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_REPAYMENTBILL_E' AND KSQL_COL_NAME IN ('FLOANCONTRACTBILLID')) 
 ALTER TABLE T_CFM_REPAYMENTBILL_E ADD (FLOANCONTRACTBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_REPAYMENTBILL_E' AND KSQL_COL_NAME IN ('FPRODUCTFACTORYID')) 
 ALTER TABLE T_CFM_REPAYMENTBILL_E ADD (FPRODUCTFACTORYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_REPAYMENTBILL_E' AND KSQL_COL_NAME IN ('FTEXTCREDITOR')) 
 ALTER TABLE T_CFM_REPAYMENTBILL_E ADD (FTEXTCREDITOR NVARCHAR(80) DEFAULT ' ' NOT NULL );