﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CFM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INTERESTBILL' AND KSQL_COL_NAME ='FPAYEEBILLNO') 
 ALTER TABLE T_CFM_INTERESTBILL ADD (FPAYEEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_INTERESTBILL' AND KSQL_COL_NAME ='FFINPRODUCTID') 
 ALTER TABLE T_CFM_INTERESTBILL ADD (FFINPRODUCTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_PREINTERESTBILL') 
 CREATE TABLE T_CFM_PREINTERESTBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
SAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FBIZDATE DATETIME,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FFINORGINFOID BIGINT DEFAULT 0 NOT NULL,
FLOANORGID BIGINT DEFAULT 0 NOT NULL,
FDRAWAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FNOTREPAYAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLOANDATE DATETIME,
FEXPIREDATE DATETIME,
FAFTEREXPIREDATE DATETIME,
FINSTTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FINSTSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FPRESTARTDATE DATETIME,
FPRESTENDDATE DATETIME,
FACTPREINSTAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FRECORDSTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLOANBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPREDICTPREINSTAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLENDERNATURE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONTRACTBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONTRACTNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FFINPRODUCTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_PREINSTBILL_ENTRYS') 
 CREATE TABLE T_CFM_PREINSTBILL_ENTRYS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINSTSTARTDATE DATETIME,
FINSTENDDATE DATETIME,
FINSTDAYS BIGINT DEFAULT 0 NOT NULL,
FINSTPRINCIPALAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FRATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FRATETRANDAYS BIGINT DEFAULT 0 NOT NULL,
FINSTAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FINSTCTG NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_PREINTERESTBILL_L') 
 CREATE TABLE T_CFM_PREINTERESTBILL_L (
FPKID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_PREINTERESTBILL_LK') 
 CREATE TABLE T_CFM_PREINTERESTBILL_LK (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_PREINTERESTBILL_TC') 
 CREATE TABLE T_CFM_PREINTERESTBILL_TC (
FID BIGINT DEFAULT 0 NOT NULL,
FTBILLID BIGINT DEFAULT 0 NOT NULL,
FTTABLEID BIGINT DEFAULT 0 NOT NULL,
FTID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_PREINTERESTBILL_WB') 
 CREATE TABLE T_CFM_PREINTERESTBILL_WB (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRULEVERID BIGINT DEFAULT 0 NOT NULL,
FRULEITEMID BIGINT DEFAULT 0 NOT NULL,
FOPERATE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FWRITEVALUE DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL' AND KSQL_COL_NAME ='FLENDERNATURE') 
 ALTER TABLE T_CFM_LOANBILL ADD (FLENDERNATURE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL' AND KSQL_COL_NAME ='FENDPREINSTDATE') 
 ALTER TABLE T_CFM_LOANBILL ADD (FENDPREINSTDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CFM_LOANBILL' AND KSQL_COL_NAME ='FLASTPAYINSTDATE') 
 ALTER TABLE T_CFM_LOANBILL ADD (FLASTPAYINSTDATE DATETIME );
 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_CFM_LOANBILL', 'FLENDERMATURE', 'NULL', 'NULL', '1001', 'NULL';


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CFM_table.sql **/
