--更新合同单据 (FSourceBillId  <--  FLoanContractBillId)
UPDATE T_CFM_LOANBILL_E e set FLoanContractBillId = (select a.FSourceBillId from T_CFM_LOANBILL a where  a.fid=e.fid ) where  e.FLoanContractBillId = 0 and exists (select 1 from T_CFM_LOANBILL a where  a.fid=e.fid and a.FSourceBillId!=0 );

--更新利率重置周期(rateadjustcycletype -->  按月 'M')
update T_CFM_LOANBILL_E set FRateAdjustCycleType = 'M' where FRateAdjustCycleType =' ' or FRateAdjustCycleType='';

--更新计息基准(fbasis --> 编码处理,同合同,取结息方案中的利率转换天数,然后取对应的基准)
UPDATE T_CFM_LOANBILL_E e set fbasis='Actual_360' where (e.fbasis = ' ' or e.fbasis='') and e.fid in
(select a.fid from T_CFM_LOANBILL a join t_cfm_loancontractbill c on a.fsourcebillid = c.fid   where  c.fconversiondays ='360');
UPDATE T_CFM_LOANBILL_E e set fbasis='Actual_365' where (e.fbasis = ' 'or e.fbasis='') and e.fid in
(select a.fid from T_CFM_LOANBILL a join t_cfm_loancontractbill c on a.fsourcebillid = c.fid   where  c.fconversiondays ='365');

--更新起息日期(fstartintdate --> 默认值放款日期)
UPDATE T_CFM_LOANBILL_E e set fstartintdate = (select a.fbizdate from T_CFM_LOANBILL a where  a.fid=e.fid ) where  e.fstartintdate is null and exists (select 1 from T_CFM_LOANBILL a where  a.fid=e.fid and a.fbizdate is not null);

--提款单相关枚举的值升级

--更新还款方式 a.FRepayMentWay(FRepayMentWay    -->  )
--(原)到期还本 --> (新)到期还本,定期还息
update T_CFM_LOANBILL set FRepayMentWay = 'bqhbdqhx' where FRepayMentWay ='once';
--(原)分期还款 --> (新)定期还本,定期还息
update T_CFM_LOANBILL set FRepayMentWay = 'dqhbdqhx' where FRepayMentWay ='stage';
--(原)自定义  --> (新)自定义
update T_CFM_LOANBILL set FRepayMentWay = 'zdyhk' where FRepayMentWay ='customize';


--利息单类型更新
update T_CFM_LOANBILL_IC_SENTRY set FINTERESTWAY = 'normal'  where FINTERESTWAY ='NORMAL';
update T_CFM_LOANBILL_IC_SENTRY set FINTERESTWAY = 'extend'  where FINTERESTWAY ='EXTEND';
update T_CFM_LOANBILL_IC_SENTRY set FINTERESTWAY = 'overdue' where FINTERESTWAY ='OVERDUE';
