--添加已经审核和确认付息单记录到付息计划
insert into t_cfm_loanbill_ic_entry(fid, fentryid, fseq, finterestseq, finteresdate, finterestcalamount, finstdescription, fintaccountld, fintway,
             fintstartdate,fintenddate,fintstate)
select l.fid fid, ib.fid fentryid, 0 fseq, 0 finterestseq, ib.fbizdate finteresdate, ib.factualinstamt  finterestcalamount, ' ' finstdescription,
       ib.finstbankacctid fintaccountld, ib.finstbillctg fintway, ib.fstartinstdate fintstartdate, ib.fendinstdate fintenddate, '1' fintstate
from t_cfm_interestbill ib
inner join t_cfm_interestbill_e ibe on ib.fid = ibe.fid and ibe.fconfirmstatus  = 'yetconfirm'
inner join t_cfm_loanbill l on l.fid  = ib.fsourcebillid and l.fbillstatus  = 'C'
where ib.fbillstatus = 'C'
  and not exists(select le.fid from T_CFM_LOANBILL_IC_ENTRY le where le.fid = l.fid and le.finteresdate = ib.fbizdate);

--更新历史数据的付息状态
update t_cfm_loanbill_ic_entry set fintstate = '0' where fintstate = '' or  fintstate = ' ';

--更新历史数据的利息类别
update t_cfm_loanbill_ic_entry le
set fintway = (select case when l.frepaymentway in ('debj','debx','dbdx') then 'payprinandinte' else 'payinterst' end  from t_cfm_loanbill l where le.fid = l.fid)
where le.fintstate = '0' and le.fintway = ' ' and exists (select l.fid from t_cfm_loanbill l where le.fid = l.fid);

--更新历史数据的利息开始日和利息结束日
update t_cfm_loanbill_ic_entry le
set fintstartdate = (select min(ls.fintereststartdate) from t_cfm_loanbill_ic_sentry ls where le.fentryid = ls.fentryid),
    fintenddate = (select max(ls.finterestenddate) from t_cfm_loanbill_ic_sentry ls where le.fentryid = ls.fentryid)
where le.fintstartdate is null;

 --添加已经审核和确认付息单的利息详情到付息计划详情
insert into t_cfm_loanbill_ic_sentry(fentryid, fdetailid, fseq, fintereststartdate, finterestenddate, finterestbalance, finterestrate,
		finterestdate, finterestdays, finterestamount, finterestway, ffloatint, fcurtotalint, ffloatrate, flasttotalint, flookdays, fconfirmratedate)
select ib.fid fentryid, ibes.fentryid fdetailid, ibes.fseq, ibes.finststartdate fintereststartdate, ibes.finstenddate finterestenddate,
       ibes.finstprincipalamt finterestbalance, ibes.frate, ibes.finstdays finterestdate, ibes.fratetrandays  finterestdays, ibes.finstamt finterestamount,
        ibes.finstctg  finterestway, ibes.ffloatint, ibes.fcurtotalint, ibes.ffloatrate, ibes.flasttotalint, ibes.flookdays, ibes.fconfirmratedate
from t_cfm_interestbill ib
inner join t_cfm_interestbill_entrys ibes on ib.fid = ibes.fid and ibes.finststartdate is not null
inner join t_cfm_interestbill_e ibe on ib.fid = ibe.fid
inner JOIN t_cfm_loanbill_ic_entry le ON ib.fid = le.fentryid AND le.fintstate = '1'
where ib.fbillstatus = 'C' and ibe.fconfirmstatus  = 'yetconfirm'
  and not exists (select ls.fdetailid from t_cfm_loanbill_ic_sentry ls where ls.fentryid = ib.fid and ls.fintereststartdate = ibes.finststartdate);