
/* 智能执行方案操作参数 */
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_INTELLEXECPARAM') 
DELETE FROM T_GL_INTELLEXECPARAM WHERE FID = 716416092779864064;
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_INTELLEXECPARAM')
INSERT INTO T_GL_INTELLEXECPARAM(FID,FBIZAPP,FBUSSINESS,FOPER,FNUMBER) VALUES (716416092779864064,'03BPAMUHBB22','cfm_loanbill','executepush2preinstbill','cfm_preinstBill_001'); 

/* 智能执行方案操作参数多语言表 */
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_INTELLEXECPARAM_L')
DELETE FROM T_GL_INTELLEXECPARAM_L WHERE FPKID = '08+98T1+81XA';
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_INTELLEXECPARAM_L')
INSERT INTO T_GL_INTELLEXECPARAM_L(FID,FPKID,FLOCALEID,FDESC,FNAME) VALUES (716416092779864064,'08+98T1+81XA','zh_CN','当月和上月','利息预提智能执行参数');
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_INTELLEXECPARAM_L')
DELETE FROM T_GL_INTELLEXECPARAM_L WHERE FPKID = '08+98T1+81XB';
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_INTELLEXECPARAM_L')
INSERT INTO T_GL_INTELLEXECPARAM_L(FID,FPKID,FLOCALEID,FDESC,FNAME) VALUES (716416092779864064,'08+98T1+81XB','zh_TW','當月和上月','利息預提智能執行參數'); 


/* 参数列表分录 */
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_INTELLEXECPARAMENTRY')
DELETE FROM T_GL_INTELLEXECPARAMENTRY WHERE FENTRYID = 718026211560920064;
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_INTELLEXECPARAMENTRY')
INSERT INTO T_GL_INTELLEXECPARAMENTRY(FID,FPARAMTYPE,FREQUIRE,FPARAMVAL,FENTRYID,FSEQ,FPARAM) VALUES (716416092779864064,'combo','1',' ',718026211560920064,2,'preinstbillstatus');
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_INTELLEXECPARAMENTRY')
DELETE FROM T_GL_INTELLEXECPARAMENTRY WHERE FENTRYID = 716416092779864065;
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_INTELLEXECPARAMENTRY')
INSERT INTO T_GL_INTELLEXECPARAMENTRY(FID,FPARAMTYPE,FREQUIRE,FPARAMVAL,FENTRYID,FSEQ,FPARAM) VALUES (716416092779864064,'combo','1',' ',716416092779864065,1,'preperiod'); 

/* 参数列表分录多语言 */
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_INTELLEXECPARAMENTRY_L')
DELETE FROM T_GL_INTELLEXECPARAMENTRY_L WHERE FPKID = '086+2PG3+=F2';
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_INTELLEXECPARAMENTRY_L')
INSERT INTO T_GL_INTELLEXECPARAMENTRY_L(FPKID,FLOCALEID,FPARAMDESC,FCOMBOVAL,FENTRYID,FPARAMNAME) VALUES ('086+2PG3+=F2','zh_CN','暂存,已提交,已审核','{"save":"暂存","submit":"已提交","audit":"已审核"}',718026211560920064,'生成的预提单状态');
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_INTELLEXECPARAMENTRY_L')
DELETE FROM T_GL_INTELLEXECPARAMENTRY_L WHERE FPKID = '086+2PG3+=F3';
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_INTELLEXECPARAMENTRY_L')
INSERT INTO T_GL_INTELLEXECPARAMENTRY_L(FPKID,FLOCALEID,FPARAMDESC,FCOMBOVAL,FENTRYID,FPARAMNAME) VALUES ('086+2PG3+=F3','zh_TW','暫存,已提交,已審核','{"save":"暫存","submit":"已提交","audit":"已審核"}',718026211560920064,'生成的預提單狀態');
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_INTELLEXECPARAMENTRY_L')
DELETE FROM T_GL_INTELLEXECPARAMENTRY_L WHERE FPKID = '08+98T1+81XC';
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_INTELLEXECPARAMENTRY_L')
INSERT INTO T_GL_INTELLEXECPARAMENTRY_L(FPKID,FLOCALEID,FPARAMDESC,FCOMBOVAL,FENTRYID,FPARAMNAME) VALUES ('08+98T1+81XC','zh_CN','当月,上月','{"thismonth":"当月","lastmonth":"上月"}',716416092779864065,'预提期间');
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_INTELLEXECPARAMENTRY_L')
DELETE FROM T_GL_INTELLEXECPARAMENTRY_L WHERE FPKID = '08+98T1+81XD';
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_INTELLEXECPARAMENTRY_L')
INSERT INTO T_GL_INTELLEXECPARAMENTRY_L(FPKID,FLOCALEID,FPARAMDESC,FCOMBOVAL,FENTRYID,FPARAMNAME) VALUES ('08+98T1+81XD','zh_TW','當月,上月','{"thismonth":"當月","lastmonth":"上月"}',716416092779864065,'預提期間'); 



































